package com.test;

import com.jjt.JjtApplication;
import com.jjt.biz.domain.AlarmRecord;
import com.jjt.biz.domain.BizObjMetrics;
import com.jjt.biz.mapper.AlarmRecordMapper;
import com.jjt.biz.service.IAlarmRecordService;
import com.jjt.biz.service.IBizObjMetricsService;
import com.jjt.common.utils.DateUtils;
import org.apache.ibatis.session.ExecutorType;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.*;
import java.util.stream.Collectors;

/**
 *
 */
@SpringBootTest(classes = JjtApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles("test")
public class AlarmTest {
    @Resource
    private IBizObjMetricsService objMetricsService;
    @Resource
    private IAlarmRecordService alarmRecordService;
    @Resource
    private SqlSessionFactory factory;

    public static void main(String[] args) {
        long end = new Date().getTime();
        System.err.println(end);
        Random random = new Random();
        System.err.println(new Date(end));
        List<Date> list = new ArrayList<>();
        for (int i = 0; i < 1000; i++) {
            long xx = random.nextInt(2592000) * 1000l;
            long randomMillis = new Date().getTime() - xx;
            list.add(new Date(randomMillis));
//            System.err.println(new Date(randomMillis));
        }
//
        list.sort(Comparator.reverseOrder());
        for (Date d : list) {
            System.err.println(DateUtils.dateTime(d));
        }
    }

    @Test
    void test() {
        List<BizObjMetrics> list = objMetricsService.selectBizObjMetricsList(new BizObjMetrics());
        String[] levels = {"low", "mid", "high"};
        Random random = new Random();
        List<AlarmRecord> records = new ArrayList<>();
        for (int i = 0; i < 1000; i++) {
            int index = random.nextInt(list.size());
            BizObjMetrics om = list.get(index);
            AlarmRecord record = new AlarmRecord();
            record.setObjId(om.getObjId());
            record.setObjMetricsId(om.getObjMetricsId());
            String level = levels[random.nextInt(3)];
            record.setAlarmLevel(level);
            record.setAlarmType("1");
            if (flag()) {
                record.setAlarmType("2");
                record.setEndTime(new Date());
            }
            record.setAlarmValue(BigDecimal.valueOf(random.nextInt(100)));
            long randomMillis = new Date().getTime() - random.nextInt(2592000) * 1000l;
            record.setAlarmTime(new Date(randomMillis));
            records.add(record);
        }

        records = records.stream().sorted(Comparator.comparing(AlarmRecord::getAlarmTime)).collect(Collectors.toList());

        try (SqlSession sqlSession = factory.openSession(ExecutorType.BATCH, false)) {
            AlarmRecordMapper mapper = sqlSession.getMapper(AlarmRecordMapper.class);
            records.forEach(mapper::insertAlarmRecord);
            sqlSession.commit();
        }
    }

    private boolean flag() {
        Random r = new Random();
        int x = r.nextInt(8889) + 1;
        return x % 2 == 1;
    }
}
