package com.test;

import com.jjt.JjtApplication;
import com.jjt.biz.domain.BizObj;
import com.jjt.biz.service.IBizObjMetricsService;
import com.jjt.biz.service.IBizObjService;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;
import java.util.List;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 *
 */
@SpringBootTest(classes = JjtApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles("test")
public class DataTest {
    @Resource
    private IBizObjMetricsService metricsService;
    @Resource
    private IBizObjService objService;

    public static void main(String[] args) {
    }


    @Test
    void imitate() throws InterruptedException {
        ExecutorService executor = Executors.newFixedThreadPool(20);
        Date s = new Date();
        List<BizObj> list = objService.selectBizObjList(new BizObj());
        LocalDateTime ed = LocalDateTime.now();
        LocalDateTime st = ed.minusDays(30);
        do {
            Date date = Date.from(st.atZone(ZoneId.systemDefault()).toInstant());
            CountDownLatch latch = new CountDownLatch(list.size());

            list.forEach(obj -> executor.submit(() -> {
                metricsService.imitate(obj.getObjId(), date);
                latch.countDown();
            }));
            // Wait for all threads to finish
            latch.await();
            st = st.plusMinutes(15);
        } while (!st.isAfter(ed));
        executor.shutdown();
        Date e = new Date();
        System.err.println(e.getTime() - s.getTime());

    }

    @Test
    void single() {
        Date s = new Date();
        List<BizObj> list = objService.selectBizObjList(new BizObj());
        LocalDateTime ed = LocalDateTime.now();
        LocalDateTime st = ed.minusDays(1);
        do {
            Date date = Date.from(st.atZone(ZoneId.systemDefault()).toInstant());

            list.forEach(obj -> {
                metricsService.imitate(obj.getObjId(), date);
            });
            // Wait for all threads to finish
            st = st.plusMinutes(15);
        } while (!st.isAfter(ed));
        Date e = new Date();
        System.err.println(e.getTime() - s.getTime());

    }

}
