package com.test;


import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import com.jjt.common.utils.DateUtils;
import com.jjt.common.utils.StringUtils;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.ConnectException;
import java.net.SocketTimeoutException;
import java.net.URL;
import java.net.URLConnection;
import java.time.LocalDate;
import java.time.ZoneId;
import java.time.temporal.TemporalAdjuster;
import java.time.temporal.TemporalAdjusters;
import java.util.Date;

/**
 * Test$
 *
 * @author wukai
 * @date 2024/8/22 22:13
 */
public class DateTest {
    public static void main(String[] args) throws Exception {
        Date date = DateUtils.parseDate("2024-10");
        LocalDate localDate = date.toInstant().atZone(ZoneId.systemDefault()).toLocalDate();
        System.err.println(localDate.with(TemporalAdjusters.firstDayOfMonth())+" 00:00:00");
        System.err.println(localDate.with(TemporalAdjusters.lastDayOfMonth())+" 23:59:59");
    }

    public static HttpResponse response(HttpRequest request) throws Exception {
        try (HttpResponse res = request.execute()) {
            if (!res.isOk()) {
                throw new RuntimeException(res.body());
            }
            return res;
        }
    }

    public static String sendGet(String url, String param, String contentType, String baseAuth) {
        StringBuilder result = new StringBuilder();
        BufferedReader in = null;
        try {
            String urlNameString = StringUtils.isNotBlank(param) ? url + "?" + param : url;
            URL realUrl = new URL(urlNameString);
            URLConnection connection = realUrl.openConnection();
            connection.setRequestProperty("Authorization", baseAuth);
            connection.setRequestProperty("accept", "*/*");
            connection.setRequestProperty("connection", "Keep-Alive");
            connection.setRequestProperty("user-agent", "Mozilla/5.0 (Windows NT 10.0; Win64; x64)");
            connection.connect();
            in = new BufferedReader(new InputStreamReader(connection.getInputStream(), contentType));
            String line;
            while ((line = in.readLine()) != null) {
                result.append(line);
            }
        } catch (ConnectException e) {
            e.printStackTrace();
        } catch (SocketTimeoutException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            try {
                if (in != null) {
                    in.close();
                }
            } catch (Exception ex) {
            }
        }
        return result.toString();
    }
}
