package com.test;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.jjt.common.utils.http.HttpUtils;
import org.yaml.snakeyaml.util.UriEncoder;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.time.LocalDateTime;
import java.time.ZoneOffset;
import java.util.Date;

/**
 * HttpTest$
 *
 * @author wukai
 * @date 2024/8/19 15:18
 */
public class HttpTest {
    public static void main(String[] args) {
//        float f=0.0f;
//        float ff=0.00f;
//
//        System.err.println(f==0f);
////        apps();
//        link();
//        tps();
//        jvmGC();
//        fileDesc();
//        System.err.println(array);
        query();

    }

    public static void apps() {
        String uri = "http://192.168.188.66:8080/applications.pinpoint";
        String result = HttpUtils.sendGet(uri);
        JSONArray jsonArray = JSONArray.parseArray(result);
        System.err.println(jsonArray);
    }

    public static void link() {
        String name = "doc-gateway";
        String type = "SPRING_BOOT";
        LocalDateTime ldt = LocalDateTime.now();
        long end = ldt.toEpochSecond(ZoneOffset.ofHours(8)) * 1000;
        long start = ldt.minusMinutes(5).toEpochSecond(ZoneOffset.ofHours(8)) * 1000;
        //需要除去自身和USER
        String[] keys = {"key", "applicationName", "category", "responseStatistics.Tot", "responseStatistics.Sum", "responseStatistics.Avg", "responseStatistics.Max", "histogram.1s", "histogram.3s", "histogram.5s", "histogram.Slow", "histogram.Error"};
        String uri = "http://192.168.188.66:8080/getServerMapDataV2.pinpoint?applicationName=%s&serviceTypeName=%s&from=%s&to=%s&calleeRange=1&callerRange=1&wasOnly=false&bidirectional=false&useStatisticsAgentState=false";
        uri = String.format(uri, name, type, start, end);
        System.err.println(uri);
        String result = HttpUtils.sendGet(uri);
        JSONObject jsonObject = JSONObject.parseObject(result);
        JSONArray array = jsonObject.getJSONObject("applicationMapData").getJSONArray("nodeDataArray");
        for (int i = 0; i < array.size(); i++) {
            JSONObject obj = array.getJSONObject(i);
            StringBuilder out = new StringBuilder();
            for (String s : keys) {
                String[] ss = s.split("\\.");
                if (ss.length == 2) {
                    out.append(ss[1]).append(":").append(obj.getJSONObject(ss[0]).getInteger(ss[1])).append("\t");
                } else {
                    out.append(s).append(":").append(obj.getString(s)).append("\t");
                }
            }
            System.err.println(out);
        }
    }

    /**
     * "min",
     * "max",
     * "avg",
     * "sum"
     */
    public static void tps() {
        String uri = "http://192.168.188.66:8080/getAgentStat/transaction/chart.pinpoint?agentId=doc-system&from=1724053700000&to=1724054000000&sampleRate=1";
        String result = HttpUtils.sendGet(uri);
        JSONObject jsonObject = JSONObject.parseObject(result);
        JSONArray array = jsonObject.getJSONObject("charts").getJSONObject("y").getJSONArray("TPS_TOTAL");
        for (int i = 0; i < array.size(); i++) {
            JSONArray arr = array.getJSONArray(i);
            float v = arr.getFloat(1);
            if (v != 0f) {
                System.err.println(v);
            }
        }
    }

    public static void jvmGC() {
        String uri = "http://192.168.188.66:8080/getAgentStat/jvmGc/chart.pinpoint?agentId=doc-gateway&from=1723963207000&to=1724136007000&sampleRate=1";
        String result = HttpUtils.sendGet(uri);
        JSONObject jsonObject = JSONObject.parseObject(result);
        System.err.println(jsonObject);
        JSONArray heapUsed = jsonObject.getJSONObject("charts").getJSONObject("y").getJSONArray("JVM_MEMORY_HEAP_USED");
        JSONArray heapMax = jsonObject.getJSONObject("charts").getJSONObject("y").getJSONArray("JVM_MEMORY_HEAP_MAX");
        JSONArray noHeapUsed = jsonObject.getJSONObject("charts").getJSONObject("y").getJSONArray("JVM_MEMORY_HEAP_MAX");
        JSONArray noHeapMax = jsonObject.getJSONObject("charts").getJSONObject("y").getJSONArray("JVM_MEMORY_HEAP_MAX");
        JSONArray gc = jsonObject.getJSONObject("charts").getJSONObject("y").getJSONArray("JVM_GC_OLD_COUNT");
        Float used = 0F;
        Float max = 0F;
        int gcTimes = 0;
        for (int i = 0; i < heapUsed.size(); i++) {
            float v = heapUsed.getJSONArray(i).getFloat(1);
            int gcV = gc.getJSONArray(i).getInteger(1);
            gcTimes += gcV;
            if (v != 0f && v > used) {
                used = v;
                max = heapMax.getJSONArray(i).getFloat(1);
            }
        }

        float usage = BigDecimal.valueOf(used).divide(BigDecimal.valueOf(max), 2, RoundingMode.HALF_UP).multiply(BigDecimal.valueOf(1000)).floatValue();
    }

    public static void fileDesc() {
        String uri = "http://192.168.188.66:8080/getAgentStat/fileDescriptor/chart.pinpoint?agentId=doc-gateway&from=1723963207000&to=1724136007000&sampleRate=1";
        String result = HttpUtils.sendGet(uri);
        JSONObject jsonObject = JSONObject.parseObject(result);
        System.err.println(jsonObject);
        JSONArray array = jsonObject.getJSONObject("charts").getJSONObject("y").getJSONArray("TPS_TOTAL");
//        for (int i = 0; i < array.size(); i++) {
//            JSONArray arr = array.getJSONArray(i);
//            float v = arr.getFloat(2);
//            if (v != 0f) {
//                System.err.println(v);
//            }
//        }
    }

    public static void query() {
        String param = "sort_desc(sum by(instance,job)(node_filesystem_size_bytes{ job=\"master\",fstype=~\"ext.*|xfs\",mountpoint !~\".*pod.*\"}-node_filesystem_free_bytes{ job=\"master\",fstype=~\"ext.*|xfs\",mountpoint !~\".*pod.*\"}) *100/ sum by(instance,job)(node_filesystem_avail_bytes { job=\"master\",fstype=~\"ext.*|xfs\",mountpoint !~\".*pod.*\"}+(node_filesystem_size_bytes{ job=\"master\",fstype=~\"ext.*|xfs\",mountpoint !~\".*pod.*\"}-node_filesystem_free_bytes{ job=\"master\",fstype=~\"ext.*|xfs\",mountpoint !~\".*pod.*\"})))";
        String uri = "http://192.168.188.66:9090/api/v1/query?query=";
        uri += UriEncoder.encode(param);
        String result = HttpUtils.sendGet(uri);
        JSONObject jsonObject = JSONObject.parseObject(result);
        System.err.println(jsonObject);
        JSONArray array = jsonObject.getJSONObject("data").getJSONArray("result");
        JSONArray value = array.getJSONObject(0).getJSONArray("value");
        System.err.println(new Date(value.getLongValue(0)*1000));
        System.err.println(value.getFloat(1));
//        for (int i = 0; i < array.size(); i++) {
//            JSONArray arr = array.getJSONArray(i);
//            float v = arr.getFloat(2);
//            if (v != 0f) {
//                System.err.println(v);
//            }
//        }
    }
}
