package com.test;

import com.jjt.JjtApplication;
import com.jjt.biz.domain.AlarmRecord;
import com.jjt.biz.domain.BizObjMetrics;
import com.jjt.biz.domain.MetricsTplDetail;
import com.jjt.biz.mapper.AlarmRecordMapper;
import com.jjt.biz.mapper.MetricsTplDetailMapper;
import com.jjt.biz.service.IAlarmRecordService;
import com.jjt.biz.service.IBizObjMetricsService;
import com.jjt.biz.service.IMetricsTplDetailService;
import org.apache.ibatis.session.ExecutorType;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.*;
import java.util.stream.Collectors;

/**
 *
 */
@SpringBootTest(classes = JjtApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles("tt")
public class ModelAlarmConfigTest {
    @Resource
    private IBizObjMetricsService objMetricsService;
    @Resource
    private IMetricsTplDetailService metricsTplDetailService;
    @Resource
    private SqlSessionFactory factory;

    public static void main(String[] args) {
        String[][] rules = {
                {"(80,90)", "[90,95]", "(95,)", "(50,80]"},
                {"(30,50)", "[50,75]", "(75,)", "(20,30]"},
                {"[50,70)", "[70,85)", "[85,)", "(30,50)"},
                {"[40,60)", "[60,85)", "[85,)", ""},
                {"[20,30)", "[30,55)", "[55,)", "(10,20)"},
                {"(80,90)", "[90,95]", "(95,)", "(50,80]"},
                {"(80,85)", "[85,95]", "(95,)", "(60,80]"}
        };

        Random r = new Random();
        int min = r.nextInt(30) + 20;
        int max = r.nextInt(50) + 50;

        System.err.println(min + "," + max);
    }

    @Test
    void data() {
        String[][] rules = {
                {"(80,90)", "[90,95]", "(95,)", "(50,80]"},
                {"(30,50)", "[50,75]", "(75,)", "(20,30]"},
                {"[50,70)", "[70,85)", "[85,)", "(30,50)"},
                {"[40,60)", "[60,85)", "[85,)", ""},
                {"[20,30)", "[30,55)", "[55,)", "(10,20)"},
                {"(80,90)", "[90,95]", "(95,)", "(50,80]"},
                {"(80,85)", "[85,95]", "(95,)", "(60,80]"}
        };
        Random r = new Random();
        List<MetricsTplDetail> list = metricsTplDetailService.selectMetricsTplDetailList(new MetricsTplDetail());
        for (MetricsTplDetail detail : list) {
            int d = r.nextInt(rules.length);
            String[] data = rules[d];
            detail.setAlarmLow(data[0]);
            detail.setAlarmMid(data[1]);
            detail.setAlarmHigh(data[2]);
            detail.setEvent(data[3]);
        }
        try (SqlSession sqlSession = factory.openSession(ExecutorType.BATCH, false)) {
            MetricsTplDetailMapper mapper = sqlSession.getMapper(MetricsTplDetailMapper.class);
            list.forEach(mapper::updateMetricsTplDetail);
            list.forEach(objMetricsService::update);
            sqlSession.commit();
        }


    }

}
