package com.test;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import cn.hutool.http.Method;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.jjt.common.utils.DateUtils;

import java.nio.charset.StandardCharsets;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * HttpTest$
 *
 * @author wukai
 * @date 2024/8/19 15:18
 */
public class PinpointTest {

    public static void main(String[] args) {
        agentList();
    }

    public static void agentList() {
        String uri = "http://192.168.188.66:8080/getAgentList.pinpoint";
        Map<String, Object> map = new HashMap<>(16);
        map.put("application", "px-basesystem-systemmonitor-xyddljypt-zx-j1yehx-7d584478c884ts2");
//        map.put("from", "1728899854000");
//        map.put("to", "1728899914000");
        HttpRequest request = HttpUtil.createGet(uri);
        request.setMethod(Method.GET);
        request.form(map);
        request.setConnectionTimeout(2000);
        try (HttpResponse execute = request.execute()) {
            if (!execute.isOk()) {
                throw new RuntimeException("status:" + execute.getStatus() + "\tres:" + execute.body());
            }
            String res = new String(execute.body().getBytes(), StandardCharsets.UTF_8);
            System.err.println(res);
            JSONObject object = JSONUtil.parseObj(res, true);
//            System.err.println(object.keySet());
//            object.getJSONObject(object.get)
//            System.err.println(object.size());

            for (String key : object.keySet()) {
                JSONArray arr = object.getJSONArray(key);
                for (int i = 0; i < arr.size(); i++) {
                    JSONObject obj = arr.getJSONObject(i);
                    String name = obj.getByPath("applicationName", String.class);
                    Integer code = obj.getByPath("status.state.code", Integer.class);
                    String agentId = obj.getByPath("status.agentId", String.class);
                    Long eventTimestamp = obj.getByPath("status.eventTimestamp", Long.class);
                    Long startTimestamp = obj.getByPath("startTimestamp", Long.class);
//                    if (code == 100) {
                    System.err.println(name + "\t" + code + "\t" + agentId + "\t" + DateUtils.parseDateToStr(DateUtils.YYYY_MM_DD_HH_MM_SS, new Date(eventTimestamp)) + "\t" + DateUtils.parseDateToStr(DateUtils.YYYY_MM_DD_HH_MM_SS, new Date(startTimestamp)));
//                    }
                }
            }
//            JSONArray metric = object.getByPath("data.result", JSONArray.class);
//                System.err.println(metric.getByPath("metric.cpu", String.class));
//            for (int i = 0; i < metric.size(); i++) {
//                System.err.println(metric.getJSONObject(i).getByPath("metric.cpu", String.class));
//            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void removeInactiveAgents() {
        String uri = "http://192.168.188.66:8080/admin/removeInactiveAgents.pinpoint";
        Map<String, Object> map = new HashMap<>(16);
        map.put("application", "px-basesystem-systemmonitor-xyddljypt-zx-j1yehx-7d584478c884ts2");
//        map.put("durationDays", 3);
        map.put("password", "admin");
        HttpRequest request = HttpUtil.createGet(uri);
        request.setMethod(Method.GET);
        request.form(map);
        request.setConnectionTimeout(2000);
        try (HttpResponse execute = request.execute()) {
            if (!execute.isOk()) {
                throw new RuntimeException("status:" + execute.getStatus() + "\tres:" + execute.body());
            }
            String res = new String(execute.body().getBytes(), StandardCharsets.UTF_8);
            System.err.println(res);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void removeAgent() {
        String uri = "http://192.168.188.66:8080/admin/removeAgentId.pinpoint";
        Map<String, Object> map = new HashMap<>(16);
        map.put("applicationName", "px-basesystem-systemmonitor-xyddljypt-zx-j1yehx-7d584478c884ts2");
        map.put("agentId", "gNC-xtTnSiiIpQrSugfg6A");
        map.put("password", "admin");
        HttpRequest request = HttpUtil.createGet(uri);
        request.setMethod(Method.GET);
        request.form(map);
        request.setConnectionTimeout(2000);
        try (HttpResponse execute = request.execute()) {
            if (!execute.isOk()) {
                throw new RuntimeException("status:" + execute.getStatus() + "\tres:" + execute.body());
            }
            String res = new String(execute.body().getBytes(), StandardCharsets.UTF_8);
            System.err.println(res);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void removeApplicationName() {
        String uri = "http://192.168.188.66:8080/admin/removeApplicationName.pinpoint";
        Map<String, Object> map = new HashMap<>(16);
        map.put("applicationName", "doc-job");
        map.put("password", "admin");
        HttpRequest request = HttpUtil.createGet(uri);
        request.setMethod(Method.GET);
        request.form(map);
        request.setConnectionTimeout(2000);
        try (HttpResponse execute = request.execute()) {
            if (!execute.isOk()) {
                throw new RuntimeException("status:" + execute.getStatus() + "\tres:" + execute.body());
            }
            String res = new String(execute.body().getBytes(), StandardCharsets.UTF_8);
            System.err.println(res);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
