package com.test;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import cn.hutool.http.Method;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONUtil;
import com.jjt.common.utils.StringUtils;
import com.jjt.common.utils.sign.Base64;
import org.yaml.snakeyaml.util.UriEncoder;

import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;

/**
 * HttpTest$
 *
 * @author wukai
 * @date 2024/8/19 15:18
 */
public class PrometheusTest {

    //    public static void main(String[] args) {
//        String auth = "admin:123456";
//        System.err.println(Base64.encode(auth.getBytes()));
//    }
    public static void main(String[] args) {
        String param = "node_cpu_seconds_total{mode=\"idle\"}";
        String uri = "http://192.168.188.66:9090/api/v1/query";
        param = UriEncoder.encode(param);

        Map<String, Object> map = new HashMap<>(16);
        map.put("query", param);
        HttpRequest request = HttpUtil.createPost(uri);
        request.setMethod(Method.GET);
        String auth = "admin:123456";
        if (StringUtils.isNotEmpty(auth)) {
            String baseAuth = "Basic " + Base64.encode(auth.getBytes());
            System.err.println(baseAuth);
            request.header("Authorization", baseAuth);
        }
        request.form(map);
        request.setConnectionTimeout(2000);
        try (HttpResponse execute = request.execute()) {
            if (!execute.isOk()) {
                throw new RuntimeException("status:" + execute.getStatus() + "\tres:" + execute.body());
            }
            String res = new String(execute.body().getBytes(), StandardCharsets.UTF_8);
            System.err.println(res);
            cn.hutool.json.JSONObject object = JSONUtil.parseObj(res, true);
            JSONArray metric = object.getByPath("data.result", JSONArray.class);
                System.err.println(metric.getByPath("metric.cpu", String.class));
            for (int i = 0; i < metric.size(); i++) {
                System.err.println(metric.getJSONObject(i).getByPath("metric.cpu", String.class));
            }
        } catch (Exception e) {
        }

    }
}
