package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 告警记录对象 alarm_record
 *
 * @author jjt
 * @date 2024-08-08
 */
@ApiModel(value = "AlarmRecord", description = "告警记录")
@Data
public class AlarmRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 告警ID
     */
    @ApiModelProperty("告警ID")
    @TableId
    private Long alarmId;

    /**
     * 告警对象
     */
    @ApiModelProperty("告警对象")
    @Excel(name = "告警对象")
    private Long objId;

    @ApiModelProperty("对象类型")
    private String objType;

    @ApiModelProperty("对象名称")
    private String objName;

    @ApiModelProperty("告警指标")
    @Excel(name = "告警指标")
    private Long objMetricsId;
    @Excel(name = "指标名称")
    private String metricsName;

    /**
     * 告警类型
     */
    @ApiModelProperty("告警类型")
    @Excel(name = "告警类型")
    private String alarmType;

    /**
     * 告警级别
     */
    @ApiModelProperty("告警级别")
    @Excel(name = "告警级别")
    private String alarmLevel;

    /**
     * 告警值
     */
    @ApiModelProperty("告警值")
    @Excel(name = "告警值")
    private BigDecimal alarmValue;

    /**
     * 告警时间
     */
    @ApiModelProperty("告警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "告警时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    @ApiModelProperty("告警结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty("告警状态 1.当前风险 0.历史风险")
    private String alarmStatus;
}
