package com.jjt.biz.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务模型健康度巡检对象 biz_inspection
 *
 * @author jjt
 * @date 2024-08-26
 */
@ApiModel(value = "BizInspection", description = "业务模型健康度巡检")
public class BizInspection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 巡检ID */
    @ApiModelProperty("巡检ID")
    @TableId
    private Long inspectionId;

    /** 模型ID */
    @ApiModelProperty("模型ID")
    @Excel(name = "模型ID")
    private Long modelId;

    /** 评分时间 */
    @ApiModelProperty("评分时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "评分时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectionTime;

    /** 健康度评分 */
    @ApiModelProperty("健康度评分")
    @Excel(name = "健康度评分")
    private BigDecimal modelScore;

    public void setInspectionId(Long inspectionId)
    {
        this.inspectionId = inspectionId;
    }

    public Long getInspectionId()
    {
        return inspectionId;
    }
    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId()
    {
        return modelId;
    }
    public void setInspectionTime(Date inspectionTime)
    {
        this.inspectionTime = inspectionTime;
    }

    public Date getInspectionTime()
    {
        return inspectionTime;
    }
    public void setModelScore(BigDecimal modelScore)
    {
        this.modelScore = modelScore;
    }

    public BigDecimal getModelScore()
    {
        return modelScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectionId", getInspectionId())
            .append("modelId", getModelId())
            .append("inspectionTime", getInspectionTime())
            .append("modelScore", getModelScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
