package com.jjt.biz.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务模型健康度评分明细对象 biz_inspection_detail
 *
 * @author jjt
 * @date 2024-08-26
 */
@ApiModel(value = "BizInspectionDetail", description = "业务模型健康度评分明细")
public class BizInspectionDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 评分明细ID */
    @ApiModelProperty("评分明细ID")
    @TableId
    private Long inspectionDetailId;

    /** 巡检ID */
    @ApiModelProperty("巡检ID")
    @Excel(name = "巡检ID")
    private Long inspectionId;

    /** 明细ID */
    @ApiModelProperty("明细ID")
    @Excel(name = "明细ID")
    private Long bizDetailId;

    /** 业务对象分值 */
    @ApiModelProperty("业务对象分值")
    @Excel(name = "业务对象分值")
    private BigDecimal objScore;

    public void setInspectionDetailId(Long inspectionDetailId)
    {
        this.inspectionDetailId = inspectionDetailId;
    }

    public Long getInspectionDetailId()
    {
        return inspectionDetailId;
    }
    public void setInspectionId(Long inspectionId)
    {
        this.inspectionId = inspectionId;
    }

    public Long getInspectionId()
    {
        return inspectionId;
    }
    public void setBizDetailId(Long bizDetailId)
    {
        this.bizDetailId = bizDetailId;
    }

    public Long getBizDetailId()
    {
        return bizDetailId;
    }
    public void setObjScore(BigDecimal objScore)
    {
        this.objScore = objScore;
    }

    public BigDecimal getObjScore()
    {
        return objScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectionDetailId", getInspectionDetailId())
            .append("inspectionId", getInspectionId())
            .append("bizDetailId", getBizDetailId())
            .append("objScore", getObjScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
