package com.jjt.biz.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务模型健康度指标明细对象 biz_inspection_metrics
 *
 * @author jjt
 * @date 2024-08-26
 */
@ApiModel(value = "BizInspectionMetrics", description = "业务模型健康度指标明细")
public class BizInspectionMetrics extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自动ID */
    @ApiModelProperty("自动ID")
    @TableId
    private Long autoId;

    /** 评分明细ID */
    @ApiModelProperty("评分明细ID")
    @Excel(name = "评分明细ID")
    private Long inspectionDetailId;

    /** 指标明细ID */
    @ApiModelProperty("指标明细ID")
    @Excel(name = "指标明细ID")
    private Long bizMetricsId;

    /** 指标值 */
    @ApiModelProperty("指标值")
    @Excel(name = "指标值")
    private BigDecimal metricsValue;

    /** 是否告警 */
    @ApiModelProperty("是否告警")
    @Excel(name = "是否告警")
    private String isAlarm;

    /** 指标得分 */
    @ApiModelProperty("指标得分")
    @Excel(name = "指标得分")
    private BigDecimal metricsScore;

    public void setAutoId(Long autoId)
    {
        this.autoId = autoId;
    }

    public Long getAutoId()
    {
        return autoId;
    }
    public void setInspectionDetailId(Long inspectionDetailId)
    {
        this.inspectionDetailId = inspectionDetailId;
    }

    public Long getInspectionDetailId()
    {
        return inspectionDetailId;
    }
    public void setBizMetricsId(Long bizMetricsId)
    {
        this.bizMetricsId = bizMetricsId;
    }

    public Long getBizMetricsId()
    {
        return bizMetricsId;
    }
    public void setMetricsValue(BigDecimal metricsValue)
    {
        this.metricsValue = metricsValue;
    }

    public BigDecimal getMetricsValue()
    {
        return metricsValue;
    }
    public void setIsAlarm(String isAlarm)
    {
        this.isAlarm = isAlarm;
    }

    public String getIsAlarm()
    {
        return isAlarm;
    }
    public void setMetricsScore(BigDecimal metricsScore)
    {
        this.metricsScore = metricsScore;
    }

    public BigDecimal getMetricsScore()
    {
        return metricsScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("autoId", getAutoId())
            .append("inspectionDetailId", getInspectionDetailId())
            .append("bizMetricsId", getBizMetricsId())
            .append("metricsValue", getMetricsValue())
            .append("isAlarm", getIsAlarm())
            .append("metricsScore", getMetricsScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
