package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 业务模型对象 biz_model
 *
 * @author jjt
 * @date 2024-08-26
 */
@ApiModel(value = "BizModel", description = "业务模型")
@Data
public class BizModel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 模型ID
     */
    @ApiModelProperty("模型ID")
    @TableId
    private Long modelId;

    /**
     * 模型编码
     */
    @ApiModelProperty("模型编码")
    @Excel(name = "模型编码")
    private String modelCode;

    /**
     * 模型名称
     */
    @ApiModelProperty("模型名称")
    @Excel(name = "模型名称")
    private String modelName;

    /**
     * 模型总分
     */
    @ApiModelProperty("模型总分")
    @Excel(name = "模型总分")
    private Long modelScore;

    /**
     * 业务类型
     */
    @ApiModelProperty("业务类型")
    @Excel(name = "业务类型")
    private String modelType;

    @ApiModelProperty("最近一次得分")
    private Float lastScore;
    @ApiModelProperty("昨日健康度得分")
    private Float yesterdayScore;
}
