package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 业务模型明细对象 biz_model_detail
 *
 * @author jjt
 * @date 2024-08-26
 */
@ApiModel(value = "BizModelDetail", description = "业务模型明细")
@Data
public class BizModelDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 明细ID
     */
    @ApiModelProperty("明细ID")
    @TableId
    private Long bizDetailId;

    /**
     * 业务对象ID
     */
    @ApiModelProperty("业务对象ID")
    @Excel(name = "业务对象ID")
    private Long objId;

    @ApiModelProperty("模型ID")
    private Long modelId;

    /**
     * 健康度分值
     */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private Integer hlScore;

    @ApiModelProperty("业务对象")
    private BizObj bizObj;
}
