package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务模型健康度指标对象 biz_model_metrics
 *
 * @author jjt
 * @date 2024-08-26
 */
@ApiModel(value = "BizModelMetrics", description = "业务模型健康度指标")
public class BizModelMetrics extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 指标明细ID */
    @ApiModelProperty("指标明细ID")
    @TableId
    private Long bizMetricsId;

    /** 模型ID */
    @ApiModelProperty("模型ID")
    @Excel(name = "模型ID")
    private Long modelId;

    /** 明细ID */
    @ApiModelProperty("明细ID")
    @Excel(name = "明细ID")
    private Long detailId;

    /** 指标ID */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    /** 评分规则 */
    @ApiModelProperty("评分规则")
    @Excel(name = "评分规则")
    private String scoreRule;

    /** 当日评分规则 */
    @ApiModelProperty("当日评分规则")
    @Excel(name = "当日评分规则")
    private String dayScoreRule;

    /** 权重 */
    @ApiModelProperty("权重")
    @Excel(name = "权重")
    private Long weight;

    public void setBizMetricsId(Long bizMetricsId)
    {
        this.bizMetricsId = bizMetricsId;
    }

    public Long getBizMetricsId()
    {
        return bizMetricsId;
    }
    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId()
    {
        return modelId;
    }
    public void setDetailId(Long detailId)
    {
        this.detailId = detailId;
    }

    public Long getDetailId()
    {
        return detailId;
    }
    public void setMetricsId(Long metricsId)
    {
        this.metricsId = metricsId;
    }

    public Long getMetricsId()
    {
        return metricsId;
    }
    public void setScoreRule(String scoreRule)
    {
        this.scoreRule = scoreRule;
    }

    public String getScoreRule()
    {
        return scoreRule;
    }
    public void setDayScoreRule(String dayScoreRule)
    {
        this.dayScoreRule = dayScoreRule;
    }

    public String getDayScoreRule()
    {
        return dayScoreRule;
    }
    public void setWeight(Long weight)
    {
        this.weight = weight;
    }

    public Long getWeight()
    {
        return weight;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("bizMetricsId", getBizMetricsId())
            .append("modelId", getModelId())
            .append("detailId", getDetailId())
            .append("metricsId", getMetricsId())
            .append("scoreRule", getScoreRule())
            .append("dayScoreRule", getDayScoreRule())
            .append("weight", getWeight())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
