package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 业务对象对象 biz_obj
 *
 * @author jjt
 * @date 2024-08-09
 */
@ApiModel(value = "BizObj", description = "业务对象")
@Data
public class BizObj extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 对象ID
     */
    @ApiModelProperty("对象ID")
    @TableId
    private Long objId;

    /**
     * 业务类型
     */
    @ApiModelProperty("业务类型")
    @Excel(name = "业务类型")
    private String objType;

    /**
     * 应用ID
     */
    @ApiModelProperty("应用ID")
    @Excel(name = "应用ID")
    private Long appId;

    /**
     * 对象名称
     */
    @ApiModelProperty("对象名称")
    @Excel(name = "对象名称")
    private String objName;

    /**
     * IP地址
     */
    @ApiModelProperty("IP地址")
    @Excel(name = "IP地址")
    private String objAddr;

    /**
     * 端口
     */
    @ApiModelProperty("端口")
    @Excel(name = "端口")
    private Long objPort;

    @ApiModelProperty("系统压力")
    private Integer accessTimes;

    @ApiModelProperty("模板列表")
    private List<BizObjTpl> tplList;
}
