package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 应用程序管理对象 biz_obj_app
 *
 * @author jjt
 * @date 2024-08-09
 */
@ApiModel(value = "BizObjApp", description = "应用程序管理")
public class BizObjApp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 应用ID */
    @ApiModelProperty("应用ID")
    @TableId
    private Long appId;

    /** 应用名称 */
    @ApiModelProperty("应用名称")
    @Excel(name = "应用名称")
    private String appName;

    /** 应用编码 */
    @ApiModelProperty("应用编码")
    @Excel(name = "应用编码")
    private String appCode;

    /** IP地址 */
    @ApiModelProperty("IP地址")
    @Excel(name = "IP地址")
    private String appAddr;

    /** 端口号 */
    @ApiModelProperty("端口号")
    @Excel(name = "端口号")
    private Long appPort;

    public void setAppId(Long appId)
    {
        this.appId = appId;
    }

    public Long getAppId()
    {
        return appId;
    }
    public void setAppName(String appName)
    {
        this.appName = appName;
    }

    public String getAppName()
    {
        return appName;
    }
    public void setAppCode(String appCode)
    {
        this.appCode = appCode;
    }

    public String getAppCode()
    {
        return appCode;
    }
    public void setAppAddr(String appAddr)
    {
        this.appAddr = appAddr;
    }

    public String getAppAddr()
    {
        return appAddr;
    }
    public void setAppPort(Long appPort)
    {
        this.appPort = appPort;
    }

    public Long getAppPort()
    {
        return appPort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("appId", getAppId())
            .append("appName", getAppName())
            .append("appCode", getAppCode())
            .append("appAddr", getAppAddr())
            .append("appPort", getAppPort())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
