package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务对象数据接口对象 biz_obj_data
 *
 * @author jjt
 * @date 2024-08-09
 */
@ApiModel(value = "BizObjData", description = "业务对象数据接口")
public class BizObjData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据接口ID */
    @ApiModelProperty("数据接口ID")
    @TableId
    private Long dataId;

    /** 对象ID */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long objId;

    /** 指标类型 */
    @ApiModelProperty("指标类型")
    @Excel(name = "指标类型")
    private String metricsType;

    /** 接口地址 */
    @ApiModelProperty("接口地址")
    @Excel(name = "接口地址")
    private String apiAddr;

    public void setDataId(Long dataId)
    {
        this.dataId = dataId;
    }

    public Long getDataId()
    {
        return dataId;
    }
    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setMetricsType(String metricsType)
    {
        this.metricsType = metricsType;
    }

    public String getMetricsType()
    {
        return metricsType;
    }
    public void setApiAddr(String apiAddr)
    {
        this.apiAddr = apiAddr;
    }

    public String getApiAddr()
    {
        return apiAddr;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("objId", getObjId())
            .append("metricsType", getMetricsType())
            .append("apiAddr", getApiAddr())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
