package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 业务对象自定义指标对象 biz_obj_mc
 *
 * @author jjt
 * @date 2024-10-09
 */
@ApiModel(value = "BizObjMc", description = "业务对象自定义指标")
@Data
public class BizObjMc extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 明细ID
     */
    @ApiModelProperty("明细ID")
    @TableId
    private Long mcId;

    /**
     * 对象ID
     */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long objId;

    /**
     * 指标ID
     */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    @ApiModelProperty("指标名称")
    @Excel(name = "指标名称")
    private String metricsName;
    /**
     * 指标编码
     */
    @ApiModelProperty("指标编码")
    @Excel(name = "指标编码")
    private String metricsCode;

    /**
     * 告警-低
     */
    @ApiModelProperty("告警-低")
    @Excel(name = "告警-低")
    private String alarmLow;

    /**
     * 告警-中
     */
    @ApiModelProperty("告警-中")
    @Excel(name = "告警-中")
    private String alarmMid;

    /**
     * 告警-高
     */
    @ApiModelProperty("告警-高")
    @Excel(name = "告警-高")
    private String alarmHigh;

    /**
     * 健康度事件
     */
    @ApiModelProperty("健康度事件")
    @Excel(name = "健康度事件")
    private String event;

    /**
     * 数据获取表达式
     */
    @ApiModelProperty("数据获取表达式")
    @Excel(name = "数据获取表达式")
    private String dataExp;

    /**
     * 自动发现关键字
     */
    @ApiModelProperty("自动发现关键字")
    @Excel(name = "自动发现关键字")
    private String findKey;

    /**
     * 自动发现规则
     */
    @ApiModelProperty("自动发现规则")
    @Excel(name = "自动发现规则")
    private String findRule;

    /**
     * 自动发现
     */
    @ApiModelProperty("自动发现")
    @Excel(name = "自动发现")
    private String findFlag;

    @ApiModelProperty("指标定义")
    private MetricsDef metricsDef;
}
