package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 业务对象指标对象 biz_obj_metrics
 *
 * @author jjt
 * @date 2024-08-09
 */
@ApiModel(value = "BizObjMetrics", description = "业务对象指标")
@Data
public class BizObjMetrics extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("指标对象ID")
    @TableId
    @Excel(name = "指标对象ID")
    private Long objMetricsId;

    /**
     * 业务对象ID
     */
    @ApiModelProperty("业务对象ID")
    private Long objId;
    /**
     * 业务对象ID
     */
    @ApiModelProperty("对象名称")
    @Excel(name = "对象名称")
    private String objName;

    @ApiModelProperty("对象业务类型")
    private String objType;
    /**
     * 模板ID
     */
    @ApiModelProperty("模板ID")
    private Long tplId;

    /**
     * 指标ID
     */
    @ApiModelProperty("指标ID")
    private Long metricsId;

    /**
     * 指标名称
     */
    @ApiModelProperty("指标名称")
    @Excel(name = "指标名称")
    private String metricsName;

    /**
     * 指标编码
     */
    @ApiModelProperty("指标编码")
    private String metricsCode;

    @ApiModelProperty("告警-低")
    private String alarmLow;
    @ApiModelProperty("告警-中")
    private String alarmMid;
    @ApiModelProperty("告警-高")
    private String alarmHigh;
    @ApiModelProperty("事件")
    private String event;

    @ApiModelProperty("指标定义")
    private MetricsDef metricsDef;
    @ApiModelProperty("指标当前值")
    private BigDecimal dValue;
    @ApiModelProperty("数据接口")
    @Excel(name = "数据接口")
    private String dataExp;


}
