package com.jjt.biz.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务对象指标数据对象 biz_obj_metrics_data
 *
 * @author jjt
 * @date 2024-09-01
 */
@ApiModel(value = "BizObjMetricsData", description = "业务对象指标数据")
public class BizObjMetricsData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据ID */
    @ApiModelProperty("数据ID")
    @TableId
    private Long dataId;

    /** 指标ID */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long objMetricsId;

    /** 最新值 */
    @ApiModelProperty("最新值")
    @Excel(name = "最新值")
    private BigDecimal dValue;

    public void setDataId(Long dataId)
    {
        this.dataId = dataId;
    }

    public Long getDataId()
    {
        return dataId;
    }
    public void setObjMetricsId(Long objMetricsId)
    {
        this.objMetricsId = objMetricsId;
    }

    public Long getObjMetricsId()
    {
        return objMetricsId;
    }
    public void setdValue(BigDecimal dValue)
    {
        this.dValue = dValue;
    }

    public BigDecimal getdValue()
    {
        return dValue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("objMetricsId", getObjMetricsId())
            .append("dValue", getdValue())
            .append("createTime", getCreateTime())
            .toString();
    }
}
