package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务对象pinpoint组成对象 biz_obj_pp
 *
 * @author jjt
 * @date 2024-08-09
 */
@ApiModel(value = "BizObjPp", description = "业务对象pinpoint组成")
public class BizObjPp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 对象明细ID */
    @ApiModelProperty("对象明细ID")
    @TableId
    private Long objPpId;

    /** 对象ID */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long objId;

    /** 名称 */
    @ApiModelProperty("名称")
    @Excel(name = "名称")
    private String ppName;

    /** KEY */
    @ApiModelProperty("KEY")
    @Excel(name = "KEY")
    private String ppKey;

    /** 类型 */
    @ApiModelProperty("类型")
    @Excel(name = "类型")
    private String ppType;

    /** 链路地址 */
    @ApiModelProperty("链路地址")
    @Excel(name = "链路地址")
    private String ppAddr;

    public void setObjPpId(Long objPpId)
    {
        this.objPpId = objPpId;
    }

    public Long getObjPpId()
    {
        return objPpId;
    }
    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setPpName(String ppName)
    {
        this.ppName = ppName;
    }

    public String getPpName()
    {
        return ppName;
    }
    public void setPpKey(String ppKey)
    {
        this.ppKey = ppKey;
    }

    public String getPpKey()
    {
        return ppKey;
    }
    public void setPpType(String ppType)
    {
        this.ppType = ppType;
    }

    public String getPpType()
    {
        return ppType;
    }
    public void setPpAddr(String ppAddr)
    {
        this.ppAddr = ppAddr;
    }

    public String getPpAddr()
    {
        return ppAddr;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objPpId", getObjPpId())
            .append("objId", getObjId())
            .append("ppName", getPpName())
            .append("ppKey", getPpKey())
            .append("ppType", getPpType())
            .append("ppAddr", getPpAddr())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
