package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务对象pinpoint组成agent对象 biz_obj_pp_agent
 *
 * @author jjt
 * @date 2024-10-14
 */
@ApiModel(value = "BizObjPpAgent", description = "业务对象pinpoint组成agent")
public class BizObjPpAgent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 对象明细ID */
    @ApiModelProperty("对象明细ID")
    @TableId
    private Long objPpAgentId;

    /** 对象ID */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long objId;

    /** agentId */
    @ApiModelProperty("agentId")
    @Excel(name = "agentId")
    private String agentId;

    /** 状态 */
    @ApiModelProperty("状态")
    @Excel(name = "状态")
    private String status;

    public void setObjPpAgentId(Long objPpAgentId)
    {
        this.objPpAgentId = objPpAgentId;
    }

    public Long getObjPpAgentId()
    {
        return objPpAgentId;
    }
    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setAgentId(String agentId)
    {
        this.agentId = agentId;
    }

    public String getAgentId()
    {
        return agentId;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objPpAgentId", getObjPpAgentId())
            .append("objId", getObjId())
            .append("agentId", getAgentId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .toString();
    }
}
