package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 业务对象模板应用对象 biz_obj_tpl
 *
 * @author jjt
 * @date 2024-08-09
 */
@ApiModel(value = "BizObjTpl", description = "业务对象模板应用")
@Data
public class BizObjTpl extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 模板应用ID
     */
    @ApiModelProperty("模板应用ID")
    @TableId
    private Long objTplId;

    @ApiModelProperty("模板名称")
    private String tplName;

    /**
     * 业务对象ID
     */
    @ApiModelProperty("业务对象ID")
    @Excel(name = "业务对象ID")
    private Long objId;

    /**
     * 模板ID
     */
    @ApiModelProperty("模板ID")
    @Excel(name = "模板ID")
    private Long tplId;

    @ApiModelProperty("指标数量")
    private Long num;
}
