package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 首页指标配置对象 index_metrics
 *
 * @author jjt
 * @date 2024-09-12
 */
@ApiModel(value = "IndexMetrics", description = "首页指标配置")
@Data
public class IndexMetrics extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 首页指标ID
     */
    @ApiModelProperty("首页指标ID")
    @TableId
    private Long imId;

    /**
     * 指标ID
     */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    /**
     * 指标名称
     */
    @ApiModelProperty("指标名称")
    @Excel(name = "指标名称")
    private String metricsName;

    /**
     * 对象ID
     */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long objId;

    /**
     * 对象名称
     */
    @ApiModelProperty("对象名称")
    @Excel(name = "对象名称")
    private String objName;

    /**
     * ID
     */
    @ApiModelProperty("ID")
    @Excel(name = "ID")
    private Long objMetricsId;

    @ApiModelProperty("当前值")
    private Float value;
}
