package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 指标定义对象 metrics_def
 *
 * @author jjt
 * @date 2024-08-08
 */
@ApiModel(value = "MetricsDef", description = "指标定义")
@Data
public class MetricsDef extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 指标ID
     */
    @ApiModelProperty("指标ID")
    @TableId
    private Long metricsId;

    /**
     * 指标名称
     */
    @ApiModelProperty("指标名称")
    @Excel(name = "指标名称")
    private String metricsName;

    /**
     * 指标编码
     */
    @ApiModelProperty("指标编码")
    @Excel(name = "指标编码")
    private String metricsCode;

    /**
     * 指标公式
     */
    @ApiModelProperty("指标公式")
    @Excel(name = "指标公式")
    private String metricsExp;

    /**
     * 指标类型
     */
    @ApiModelProperty("指标类型")
    @Excel(name = "指标类型")
    private String metricsType;

    @ApiModelProperty("指标分类")
    @Excel(name = "指标分类")
    private List<MetricsType> metricsTypes;

    @ApiModelProperty("分类ID")
    private Long category;
    @ApiModelProperty("告警-低")
    private String alarmLow;
    @ApiModelProperty("告警-中")
    private String alarmMid;
    @ApiModelProperty("告警-高")
    private String alarmHigh;
}
