package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 模板指标明细对象 metrics_tpl_detail
 *
 * @author jjt
 * @date 2024-08-08
 */
@ApiModel(value = "MetricsTplDetail", description = "模板指标明细")
@Data
public class MetricsTplDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;
    @TableId
    @ApiModelProperty("明细ID")
    private Long tplDetailId;

    @ApiModelProperty("模板ID")
    @Excel(name = "模板ID")
    private Long tplId;

    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    @ApiModelProperty("指标编码")
    @Excel(name = "指标编码")
    private String metricsCode;

    @ApiModelProperty("告警-低")
    private String alarmLow;

    @ApiModelProperty("告警-中")
    private String alarmMid;

    @ApiModelProperty("告警-高")
    private String alarmHigh;

    @ApiModelProperty("指标定义")
    private MetricsDef metricsDef;

    @ApiModelProperty("健康度事件")
    private String event;

    @ApiModelProperty("数据获取表达式;")
    private String dataExp;

    @ApiModelProperty("自动发现关键字;")
    private String findKey;

    @ApiModelProperty("自动发现规则;")
    private String findRule;

    @ApiModelProperty("自动发现;")
    private String findFlag;
}
