package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 分类和定义关系对象 metrics_type_def
 *
 * @author jjt
 * @date 2024-08-08
 */
@ApiModel(value = "MetricsTypeDef", description = "分类和定义关系")
public class MetricsTypeDef extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关系ID */
    @ApiModelProperty("关系ID")
    @TableId
    private Long relaId;

    /** 指标分类ID */
    @ApiModelProperty("指标分类ID")
    @Excel(name = "指标分类ID")
    private Long typeId;

    /** 指标ID */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    public void setRelaId(Long relaId)
    {
        this.relaId = relaId;
    }

    public Long getRelaId()
    {
        return relaId;
    }
    public void setTypeId(Long typeId)
    {
        this.typeId = typeId;
    }

    public Long getTypeId()
    {
        return typeId;
    }
    public void setMetricsId(Long metricsId)
    {
        this.metricsId = metricsId;
    }

    public Long getMetricsId()
    {
        return metricsId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("relaId", getRelaId())
            .append("typeId", getTypeId())
            .append("metricsId", getMetricsId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
