package com.jjt.biz.domain;

import com.alibaba.fastjson2.JSONObject;
import lombok.Data;

/**
 * PinpointVO$
 *
 * @author wukai
 * @date 2024/8/21 10:16
 */

@Data
public class PinpointVO {
    /**
     * key值
     */
    private String key;
    /**
     * 应用名称
     */
    private String applicationName;
    /**
     * 应用分类
     */
    private String category;
    /**
     * 总访问次数
     */
    private Integer tot;
    /**
     * 总时延
     */
    private Integer sum;
    /**
     * 平均时延
     */
    private Integer avg;
    /**
     * 最大时延
     */
    private Integer max;
    /**
     * 1秒内访问次数
     */
    private Integer time1s;
    /**
     * 3秒内访问次数
     */
    private Integer time3s;
    /**
     * 5秒内响应次数
     */
    private Integer time5s;
    /**
     * 100ms内响应次数
     */
    private Integer time100ms;
    /**
     * 300ms内响应次数
     */
    private Integer time300ms;
    /**
     * 500ms内响应次数
     */
    private Integer time500ms;
    /**
     * 慢访问次数
     */
    private Integer slow;
    /**
     * 错误访问次数
     */
    private Integer error;

    public PinpointVO(JSONObject obj) {
        this.key = obj.getString("key");
        this.category = obj.getString("category");
        this.applicationName = obj.getString("applicationName");
        this.tot = obj.getInteger("totalCount");
        this.slow = obj.getInteger("slowCount");
        this.error = obj.getInteger("errorCount");

        JSONObject responseStatistics = obj.getJSONObject("responseStatistics");
        this.sum = responseStatistics.getInteger("Sum");
        this.avg = responseStatistics.getInteger("Avg");
        this.max = responseStatistics.getInteger("Max");

        JSONObject histogram = obj.getJSONObject("histogram");
        String redis = "REDIS";
        if (redis.equals(category)) {
            this.time100ms = histogram.getInteger("100ms");
            this.time300ms = histogram.getInteger("300ms");
            this.time500ms = histogram.getInteger("500ms");
        } else {
            this.time1s = histogram.getInteger("1s");
            this.time3s = histogram.getInteger("3s");
            this.time5s = histogram.getInteger("5s");
        }
    }
}
