package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizInspectionDetail;

/**
 * 业务模型健康度评分明细Mapper接口
 * 
 * @author jjt
 * @date 2024-08-26
 */
public interface BizInspectionDetailMapper extends BaseMapper<BizInspectionDetail>
{
    /**
     * 查询业务模型健康度评分明细
     * 
     * @param inspectionDetailId 业务模型健康度评分明细主键
     * @return 业务模型健康度评分明细
     */
    public BizInspectionDetail selectBizInspectionDetailByInspectionDetailId(Long inspectionDetailId);

    /**
     * 查询业务模型健康度评分明细列表
     * 
     * @param bizInspectionDetail 业务模型健康度评分明细
     * @return 业务模型健康度评分明细集合
     */
    public List<BizInspectionDetail> selectBizInspectionDetailList(BizInspectionDetail bizInspectionDetail);

    /**
     * 新增业务模型健康度评分明细
     * 
     * @param bizInspectionDetail 业务模型健康度评分明细
     * @return 结果
     */
    public int insertBizInspectionDetail(BizInspectionDetail bizInspectionDetail);

    /**
     * 修改业务模型健康度评分明细
     * 
     * @param bizInspectionDetail 业务模型健康度评分明细
     * @return 结果
     */
    public int updateBizInspectionDetail(BizInspectionDetail bizInspectionDetail);

    /**
     * 删除业务模型健康度评分明细
     * 
     * @param inspectionDetailId 业务模型健康度评分明细主键
     * @return 结果
     */
    public int deleteBizInspectionDetailByInspectionDetailId(Long inspectionDetailId);

    /**
     * 批量删除业务模型健康度评分明细
     * 
     * @param inspectionDetailIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizInspectionDetailByInspectionDetailIds(Long[] inspectionDetailIds);
}
