package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizInspection;

/**
 * 业务模型健康度巡检Mapper接口
 * 
 * @author jjt
 * @date 2024-08-26
 */
public interface BizInspectionMapper extends BaseMapper<BizInspection>
{
    /**
     * 查询业务模型健康度巡检
     * 
     * @param inspectionId 业务模型健康度巡检主键
     * @return 业务模型健康度巡检
     */
    public BizInspection selectBizInspectionByInspectionId(Long inspectionId);

    /**
     * 查询业务模型健康度巡检列表
     * 
     * @param bizInspection 业务模型健康度巡检
     * @return 业务模型健康度巡检集合
     */
    public List<BizInspection> selectBizInspectionList(BizInspection bizInspection);

    /**
     * 新增业务模型健康度巡检
     * 
     * @param bizInspection 业务模型健康度巡检
     * @return 结果
     */
    public int insertBizInspection(BizInspection bizInspection);

    /**
     * 修改业务模型健康度巡检
     * 
     * @param bizInspection 业务模型健康度巡检
     * @return 结果
     */
    public int updateBizInspection(BizInspection bizInspection);

    /**
     * 删除业务模型健康度巡检
     * 
     * @param inspectionId 业务模型健康度巡检主键
     * @return 结果
     */
    public int deleteBizInspectionByInspectionId(Long inspectionId);

    /**
     * 批量删除业务模型健康度巡检
     * 
     * @param inspectionIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizInspectionByInspectionIds(Long[] inspectionIds);
}
