package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizModelDetail;

/**
 * 业务模型明细Mapper接口
 * 
 * @author jjt
 * @date 2024-08-26
 */
public interface BizModelDetailMapper extends BaseMapper<BizModelDetail>
{
    /**
     * 查询业务模型明细
     * 
     * @param bizDetailId 业务模型明细主键
     * @return 业务模型明细
     */
    public BizModelDetail selectBizModelDetailByBizDetailId(Long bizDetailId);

    /**
     * 查询业务模型明细列表
     * 
     * @param bizModelDetail 业务模型明细
     * @return 业务模型明细集合
     */
    public List<BizModelDetail> selectBizModelDetailList(BizModelDetail bizModelDetail);

    /**
     * 新增业务模型明细
     * 
     * @param bizModelDetail 业务模型明细
     * @return 结果
     */
    public int insertBizModelDetail(BizModelDetail bizModelDetail);

    /**
     * 修改业务模型明细
     * 
     * @param bizModelDetail 业务模型明细
     * @return 结果
     */
    public int updateBizModelDetail(BizModelDetail bizModelDetail);

    /**
     * 删除业务模型明细
     * 
     * @param bizDetailId 业务模型明细主键
     * @return 结果
     */
    public int deleteBizModelDetailByBizDetailId(Long bizDetailId);

    /**
     * 批量删除业务模型明细
     * 
     * @param bizDetailIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizModelDetailByBizDetailIds(Long[] bizDetailIds);
}
