package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizModelMetrics;

/**
 * 业务模型健康度指标Mapper接口
 * 
 * @author jjt
 * @date 2024-08-26
 */
public interface BizModelMetricsMapper extends BaseMapper<BizModelMetrics>
{
    /**
     * 查询业务模型健康度指标
     * 
     * @param bizMetricsId 业务模型健康度指标主键
     * @return 业务模型健康度指标
     */
    public BizModelMetrics selectBizModelMetricsByBizMetricsId(Long bizMetricsId);

    /**
     * 查询业务模型健康度指标列表
     * 
     * @param bizModelMetrics 业务模型健康度指标
     * @return 业务模型健康度指标集合
     */
    public List<BizModelMetrics> selectBizModelMetricsList(BizModelMetrics bizModelMetrics);

    /**
     * 新增业务模型健康度指标
     * 
     * @param bizModelMetrics 业务模型健康度指标
     * @return 结果
     */
    public int insertBizModelMetrics(BizModelMetrics bizModelMetrics);

    /**
     * 修改业务模型健康度指标
     * 
     * @param bizModelMetrics 业务模型健康度指标
     * @return 结果
     */
    public int updateBizModelMetrics(BizModelMetrics bizModelMetrics);

    /**
     * 删除业务模型健康度指标
     * 
     * @param bizMetricsId 业务模型健康度指标主键
     * @return 结果
     */
    public int deleteBizModelMetricsByBizMetricsId(Long bizMetricsId);

    /**
     * 批量删除业务模型健康度指标
     * 
     * @param bizMetricsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizModelMetricsByBizMetricsIds(Long[] bizMetricsIds);
}
