package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizObjApp;

/**
 * 应用程序管理Mapper接口
 * 
 * @author jjt
 * @date 2024-08-09
 */
public interface BizObjAppMapper extends BaseMapper<BizObjApp>
{
    /**
     * 查询应用程序管理
     * 
     * @param appId 应用程序管理主键
     * @return 应用程序管理
     */
    public BizObjApp selectBizObjAppByAppId(Long appId);

    /**
     * 查询应用程序管理列表
     * 
     * @param bizObjApp 应用程序管理
     * @return 应用程序管理集合
     */
    public List<BizObjApp> selectBizObjAppList(BizObjApp bizObjApp);

    /**
     * 新增应用程序管理
     * 
     * @param bizObjApp 应用程序管理
     * @return 结果
     */
    public int insertBizObjApp(BizObjApp bizObjApp);

    /**
     * 修改应用程序管理
     * 
     * @param bizObjApp 应用程序管理
     * @return 结果
     */
    public int updateBizObjApp(BizObjApp bizObjApp);

    /**
     * 删除应用程序管理
     * 
     * @param appId 应用程序管理主键
     * @return 结果
     */
    public int deleteBizObjAppByAppId(Long appId);

    /**
     * 批量删除应用程序管理
     * 
     * @param appIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizObjAppByAppIds(Long[] appIds);
}
