package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizObjData;

/**
 * 业务对象数据接口Mapper接口
 * 
 * @author jjt
 * @date 2024-08-09
 */
public interface BizObjDataMapper extends BaseMapper<BizObjData>
{
    /**
     * 查询业务对象数据接口
     * 
     * @param dataId 业务对象数据接口主键
     * @return 业务对象数据接口
     */
    public BizObjData selectBizObjDataByDataId(Long dataId);

    /**
     * 查询业务对象数据接口列表
     * 
     * @param bizObjData 业务对象数据接口
     * @return 业务对象数据接口集合
     */
    public List<BizObjData> selectBizObjDataList(BizObjData bizObjData);

    /**
     * 新增业务对象数据接口
     * 
     * @param bizObjData 业务对象数据接口
     * @return 结果
     */
    public int insertBizObjData(BizObjData bizObjData);

    /**
     * 修改业务对象数据接口
     * 
     * @param bizObjData 业务对象数据接口
     * @return 结果
     */
    public int updateBizObjData(BizObjData bizObjData);

    /**
     * 删除业务对象数据接口
     * 
     * @param dataId 业务对象数据接口主键
     * @return 结果
     */
    public int deleteBizObjDataByDataId(Long dataId);

    /**
     * 批量删除业务对象数据接口
     * 
     * @param dataIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizObjDataByDataIds(Long[] dataIds);
}
