package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizObjMc;

/**
 * 业务对象自定义指标Mapper接口
 * 
 * @author jjt
 * @date 2024-10-09
 */
public interface BizObjMcMapper extends BaseMapper<BizObjMc>
{
    /**
     * 查询业务对象自定义指标
     * 
     * @param mcId 业务对象自定义指标主键
     * @return 业务对象自定义指标
     */
    public BizObjMc selectBizObjMcByMcId(Long mcId);

    /**
     * 查询业务对象自定义指标列表
     * 
     * @param bizObjMc 业务对象自定义指标
     * @return 业务对象自定义指标集合
     */
    public List<BizObjMc> selectBizObjMcList(BizObjMc bizObjMc);

    /**
     * 新增业务对象自定义指标
     * 
     * @param bizObjMc 业务对象自定义指标
     * @return 结果
     */
    public int insertBizObjMc(BizObjMc bizObjMc);

    /**
     * 修改业务对象自定义指标
     * 
     * @param bizObjMc 业务对象自定义指标
     * @return 结果
     */
    public int updateBizObjMc(BizObjMc bizObjMc);

    /**
     * 删除业务对象自定义指标
     * 
     * @param mcId 业务对象自定义指标主键
     * @return 结果
     */
    public int deleteBizObjMcByMcId(Long mcId);

    /**
     * 批量删除业务对象自定义指标
     * 
     * @param mcIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizObjMcByMcIds(Long[] mcIds);
}
