package com.jjt.biz.mapper;

import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizObjMetricsData;

/**
 * 业务对象指标数据Mapper接口
 *
 * @author jjt
 * @date 2024-09-01
 */
public interface BizObjMetricsDataMapper extends BaseMapper<BizObjMetricsData>
{
    /**
     * 查询业务对象指标数据
     *
     * @param dataId 业务对象指标数据主键
     * @return 业务对象指标数据
     */
    public BizObjMetricsData selectBizObjMetricsDataByDataId(Long dataId);

    /**
     * 查询业务对象指标数据列表
     *
     * @param bizObjMetricsData 业务对象指标数据
     * @return 业务对象指标数据集合
     */
    public List<BizObjMetricsData> selectBizObjMetricsDataList(BizObjMetricsData bizObjMetricsData);

    /**
     * 新增业务对象指标数据
     *
     * @param bizObjMetricsData 业务对象指标数据
     * @return 结果
     */
    public int insertBizObjMetricsData(BizObjMetricsData bizObjMetricsData);

    /**
     * 修改业务对象指标数据
     *
     * @param bizObjMetricsData 业务对象指标数据
     * @return 结果
     */
    public int updateBizObjMetricsData(BizObjMetricsData bizObjMetricsData);

    /**
     * 删除业务对象指标数据
     *
     * @param dataId 业务对象指标数据主键
     * @return 结果
     */
    public int deleteBizObjMetricsDataByDataId(Long dataId);

    /**
     * 批量删除业务对象指标数据
     *
     * @param dataIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizObjMetricsDataByDataIds(Long[] dataIds);
    /**
     * 清理date之前的历史数据
     *
     * @param date 时间
     */
    void clean(Date date);
}
