package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizObjPpAgent;

/**
 * 业务对象pinpoint组成agentMapper接口
 * 
 * @author jjt
 * @date 2024-10-14
 */
public interface BizObjPpAgentMapper extends BaseMapper<BizObjPpAgent>
{
    /**
     * 查询业务对象pinpoint组成agent
     * 
     * @param objPpAgentId 业务对象pinpoint组成agent主键
     * @return 业务对象pinpoint组成agent
     */
    public BizObjPpAgent selectBizObjPpAgentByObjPpAgentId(Long objPpAgentId);

    /**
     * 查询业务对象pinpoint组成agent列表
     * 
     * @param bizObjPpAgent 业务对象pinpoint组成agent
     * @return 业务对象pinpoint组成agent集合
     */
    public List<BizObjPpAgent> selectBizObjPpAgentList(BizObjPpAgent bizObjPpAgent);

    /**
     * 新增业务对象pinpoint组成agent
     * 
     * @param bizObjPpAgent 业务对象pinpoint组成agent
     * @return 结果
     */
    public int insertBizObjPpAgent(BizObjPpAgent bizObjPpAgent);

    /**
     * 修改业务对象pinpoint组成agent
     * 
     * @param bizObjPpAgent 业务对象pinpoint组成agent
     * @return 结果
     */
    public int updateBizObjPpAgent(BizObjPpAgent bizObjPpAgent);

    /**
     * 删除业务对象pinpoint组成agent
     * 
     * @param objPpAgentId 业务对象pinpoint组成agent主键
     * @return 结果
     */
    public int deleteBizObjPpAgentByObjPpAgentId(Long objPpAgentId);

    /**
     * 批量删除业务对象pinpoint组成agent
     * 
     * @param objPpAgentIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizObjPpAgentByObjPpAgentIds(Long[] objPpAgentIds);
}
