package com.jjt.biz.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizObjPp;

/**
 * 业务对象pinpoint组成Mapper接口
 * 
 * @author jjt
 * @date 2024-08-09
 */
public interface BizObjPpMapper extends BaseMapper<BizObjPp>
{
    /**
     * 查询业务对象pinpoint组成
     * 
     * @param objPpId 业务对象pinpoint组成主键
     * @return 业务对象pinpoint组成
     */
    public BizObjPp selectBizObjPpByObjPpId(Long objPpId);

    /**
     * 查询业务对象pinpoint组成列表
     * 
     * @param bizObjPp 业务对象pinpoint组成
     * @return 业务对象pinpoint组成集合
     */
    public List<BizObjPp> selectBizObjPpList(BizObjPp bizObjPp);

    /**
     * 新增业务对象pinpoint组成
     * 
     * @param bizObjPp 业务对象pinpoint组成
     * @return 结果
     */
    public int insertBizObjPp(BizObjPp bizObjPp);

    /**
     * 修改业务对象pinpoint组成
     * 
     * @param bizObjPp 业务对象pinpoint组成
     * @return 结果
     */
    public int updateBizObjPp(BizObjPp bizObjPp);

    /**
     * 删除业务对象pinpoint组成
     * 
     * @param objPpId 业务对象pinpoint组成主键
     * @return 结果
     */
    public int deleteBizObjPpByObjPpId(Long objPpId);

    /**
     * 批量删除业务对象pinpoint组成
     * 
     * @param objPpIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizObjPpByObjPpIds(Long[] objPpIds);
}
