package com.jjt.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.BizObjTpl;
import com.jjt.biz.domain.MetricsTpl;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 业务对象模板应用Mapper接口
 *
 * @author jjt
 * @date 2024-08-09
 */
public interface BizObjTplMapper extends BaseMapper<BizObjTpl> {
    /**
     * 查询业务对象模板应用
     *
     * @param objTplId 业务对象模板应用主键
     * @return 业务对象模板应用
     */
    public BizObjTpl selectBizObjTplByObjTplId(Long objTplId);

    /**
     * 查询业务对象模板应用列表
     *
     * @param bizObjTpl 业务对象模板应用
     * @return 业务对象模板应用集合
     */
    public List<BizObjTpl> selectBizObjTplList(BizObjTpl bizObjTpl);

    /**
     * 新增业务对象模板应用
     *
     * @param bizObjTpl 业务对象模板应用
     * @return 结果
     */
    public int insertBizObjTpl(BizObjTpl bizObjTpl);

    /**
     * 修改业务对象模板应用
     *
     * @param bizObjTpl 业务对象模板应用
     * @return 结果
     */
    public int updateBizObjTpl(BizObjTpl bizObjTpl);

    /**
     * 删除业务对象模板应用
     *
     * @param objTplId 业务对象模板应用主键
     * @return 结果
     */
    public int deleteBizObjTplByObjTplId(Long objTplId);

    /**
     * 批量删除业务对象模板应用
     *
     * @param objTplIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizObjTplByObjTplIds(Long[] objTplIds);

    /**
     * 选择模板，除开当前对象已选择的。
     *
     * @param objId 对象ID
     * @return 结果
     */
    List<MetricsTpl> selectTplList(Long objId);

    /**
     * 添加模板
     *
     * @param objId  对象id
     * @param tplIds 模板ids
     * @return 结果
     */
    int insertTplDetails(@Param("objId") Long objId, @Param("tplIds") Long[] tplIds);
}
