package com.jjt.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.biz.domain.MetricsType;
import com.jjt.biz.domain.MetricsTypeDef;

import java.util.List;

/**
 * 分类和定义关系Mapper接口
 *
 * @author jjt
 * @date 2024-08-08
 */
public interface MetricsTypeDefMapper extends BaseMapper<MetricsTypeDef> {
    /**
     * 查询分类和定义关系
     *
     * @param relaId 分类和定义关系主键
     * @return 分类和定义关系
     */
    public MetricsTypeDef selectMetricsTypeDefByRelaId(Long relaId);

    /**
     * 查询分类和定义关系列表
     *
     * @param metricsTypeDef 分类和定义关系
     * @return 分类和定义关系集合
     */
    public List<MetricsTypeDef> selectMetricsTypeDefList(MetricsTypeDef metricsTypeDef);

    /**
     * 新增分类和定义关系
     *
     * @param metricsTypeDef 分类和定义关系
     * @return 结果
     */
    public int insertMetricsTypeDef(MetricsTypeDef metricsTypeDef);

    /**
     * 修改分类和定义关系
     *
     * @param metricsTypeDef 分类和定义关系
     * @return 结果
     */
    public int updateMetricsTypeDef(MetricsTypeDef metricsTypeDef);

    /**
     * 删除分类和定义关系
     *
     * @param relaId 分类和定义关系主键
     * @return 结果
     */
    public int deleteMetricsTypeDefByRelaId(Long relaId);

    /**
     * 批量删除分类和定义关系
     *
     * @param relaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMetricsTypeDefByRelaIds(Long[] relaIds);

    /**
     * 根据指标ID，查询分类列表
     *
     * @param metricsId 指标ID
     * @return list
     */
    List<MetricsType> selectMetricsTypeList(Long metricsId);
}
