package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.BizInspectionMetrics;

/**
 * 业务模型健康度指标明细Service接口
 * 
 * @author jjt
 * @date 2024-08-26
 */
public interface IBizInspectionMetricsService 
{
    /**
     * 查询业务模型健康度指标明细
     * 
     * @param autoId 业务模型健康度指标明细主键
     * @return 业务模型健康度指标明细
     */
    public BizInspectionMetrics selectBizInspectionMetricsByAutoId(Long autoId);

    /**
     * 查询业务模型健康度指标明细列表
     * 
     * @param bizInspectionMetrics 业务模型健康度指标明细
     * @return 业务模型健康度指标明细集合
     */
    public List<BizInspectionMetrics> selectBizInspectionMetricsList(BizInspectionMetrics bizInspectionMetrics);

    /**
     * 新增业务模型健康度指标明细
     * 
     * @param bizInspectionMetrics 业务模型健康度指标明细
     * @return 结果
     */
    public int insertBizInspectionMetrics(BizInspectionMetrics bizInspectionMetrics);

    /**
     * 修改业务模型健康度指标明细
     * 
     * @param bizInspectionMetrics 业务模型健康度指标明细
     * @return 结果
     */
    public int updateBizInspectionMetrics(BizInspectionMetrics bizInspectionMetrics);

    /**
     * 批量删除业务模型健康度指标明细
     * 
     * @param autoIds 需要删除的业务模型健康度指标明细主键集合
     * @return 结果
     */
    public int deleteBizInspectionMetricsByAutoIds(Long[] autoIds);

    /**
     * 删除业务模型健康度指标明细信息
     * 
     * @param autoId 业务模型健康度指标明细主键
     * @return 结果
     */
    public int deleteBizInspectionMetricsByAutoId(Long autoId);
}
