package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.BizInspection;

/**
 * 业务模型健康度巡检Service接口
 * 
 * @author jjt
 * @date 2024-08-26
 */
public interface IBizInspectionService 
{
    /**
     * 查询业务模型健康度巡检
     * 
     * @param inspectionId 业务模型健康度巡检主键
     * @return 业务模型健康度巡检
     */
    public BizInspection selectBizInspectionByInspectionId(Long inspectionId);

    /**
     * 查询业务模型健康度巡检列表
     * 
     * @param bizInspection 业务模型健康度巡检
     * @return 业务模型健康度巡检集合
     */
    public List<BizInspection> selectBizInspectionList(BizInspection bizInspection);

    /**
     * 新增业务模型健康度巡检
     * 
     * @param bizInspection 业务模型健康度巡检
     * @return 结果
     */
    public int insertBizInspection(BizInspection bizInspection);

    /**
     * 修改业务模型健康度巡检
     * 
     * @param bizInspection 业务模型健康度巡检
     * @return 结果
     */
    public int updateBizInspection(BizInspection bizInspection);

    /**
     * 批量删除业务模型健康度巡检
     * 
     * @param inspectionIds 需要删除的业务模型健康度巡检主键集合
     * @return 结果
     */
    public int deleteBizInspectionByInspectionIds(Long[] inspectionIds);

    /**
     * 删除业务模型健康度巡检信息
     * 
     * @param inspectionId 业务模型健康度巡检主键
     * @return 结果
     */
    public int deleteBizInspectionByInspectionId(Long inspectionId);
}
