package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.BizModelDetail;

/**
 * 业务模型明细Service接口
 *
 * @author jjt
 * @date 2024-08-26
 */
public interface IBizModelDetailService
{
    /**
     * 查询业务模型明细
     *
     * @param bizDetailId 业务模型明细主键
     * @return 业务模型明细
     */
    public BizModelDetail selectBizModelDetailByBizDetailId(Long bizDetailId);

    /**
     * 查询业务模型明细列表
     *
     * @param bizModelDetail 业务模型明细
     * @return 业务模型明细集合
     */
    public List<BizModelDetail> selectBizModelDetailList(BizModelDetail bizModelDetail);

    /**
     * 新增业务模型明细
     *
     * @param bizModelDetail 业务模型明细
     * @return 结果
     */
    public int insertBizModelDetail(BizModelDetail bizModelDetail);

    /**
     * 修改业务模型明细
     *
     * @param bizModelDetail 业务模型明细
     * @return 结果
     */
    public int updateBizModelDetail(BizModelDetail bizModelDetail);

    /**
     * 批量删除业务模型明细
     *
     * @param bizDetailIds 需要删除的业务模型明细主键集合
     * @return 结果
     */
    public int deleteBizModelDetailByBizDetailIds(Long[] bizDetailIds);

    /**
     * 删除业务模型明细信息
     *
     * @param bizDetailId 业务模型明细主键
     * @return 结果
     */
    public int deleteBizModelDetailByBizDetailId(Long bizDetailId);
    /**
     * 通过模型ID获取明细
     *
     * @param modelId 模型ID
     * @return 结果
     */
    List<BizModelDetail> selectBizModelDetailList4ModelId(Long modelId);
}
