package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.BizModelMetrics;

/**
 * 业务模型健康度指标Service接口
 * 
 * @author jjt
 * @date 2024-08-26
 */
public interface IBizModelMetricsService 
{
    /**
     * 查询业务模型健康度指标
     * 
     * @param bizMetricsId 业务模型健康度指标主键
     * @return 业务模型健康度指标
     */
    public BizModelMetrics selectBizModelMetricsByBizMetricsId(Long bizMetricsId);

    /**
     * 查询业务模型健康度指标列表
     * 
     * @param bizModelMetrics 业务模型健康度指标
     * @return 业务模型健康度指标集合
     */
    public List<BizModelMetrics> selectBizModelMetricsList(BizModelMetrics bizModelMetrics);

    /**
     * 新增业务模型健康度指标
     * 
     * @param bizModelMetrics 业务模型健康度指标
     * @return 结果
     */
    public int insertBizModelMetrics(BizModelMetrics bizModelMetrics);

    /**
     * 修改业务模型健康度指标
     * 
     * @param bizModelMetrics 业务模型健康度指标
     * @return 结果
     */
    public int updateBizModelMetrics(BizModelMetrics bizModelMetrics);

    /**
     * 批量删除业务模型健康度指标
     * 
     * @param bizMetricsIds 需要删除的业务模型健康度指标主键集合
     * @return 结果
     */
    public int deleteBizModelMetricsByBizMetricsIds(Long[] bizMetricsIds);

    /**
     * 删除业务模型健康度指标信息
     * 
     * @param bizMetricsId 业务模型健康度指标主键
     * @return 结果
     */
    public int deleteBizModelMetricsByBizMetricsId(Long bizMetricsId);
}
