package com.jjt.biz.service;

import com.jjt.biz.domain.BizObjPpAgent;

import java.util.List;

/**
 * 业务对象pinpoint组成agentService接口
 *
 * @author jjt
 * @date 2024-10-14
 */
public interface IBizObjPpAgentService {
    /**
     * 查询业务对象pinpoint组成agent
     *
     * @param objPpAgentId 业务对象pinpoint组成agent主键
     * @return 业务对象pinpoint组成agent
     */
    public BizObjPpAgent selectBizObjPpAgentByObjPpAgentId(Long objPpAgentId);

    /**
     * 查询业务对象pinpoint组成agent列表
     *
     * @param bizObjPpAgent 业务对象pinpoint组成agent
     * @return 业务对象pinpoint组成agent集合
     */
    public List<BizObjPpAgent> selectBizObjPpAgentList(BizObjPpAgent bizObjPpAgent);

    /**
     * 新增业务对象pinpoint组成agent
     *
     * @param bizObjPpAgent 业务对象pinpoint组成agent
     * @return 结果
     */
    public int insertBizObjPpAgent(BizObjPpAgent bizObjPpAgent);

    /**
     * 修改业务对象pinpoint组成agent
     *
     * @param bizObjPpAgent 业务对象pinpoint组成agent
     * @return 结果
     */
    public int updateBizObjPpAgent(BizObjPpAgent bizObjPpAgent);

    /**
     * 批量删除业务对象pinpoint组成agent
     *
     * @param objPpAgentIds 需要删除的业务对象pinpoint组成agent主键集合
     * @return 结果
     */
    public int deleteBizObjPpAgentByObjPpAgentIds(Long[] objPpAgentIds);

    /**
     * 删除业务对象pinpoint组成agent信息
     *
     * @param objPpAgentId 业务对象pinpoint组成agent主键
     * @return 结果
     */
    public int deleteBizObjPpAgentByObjPpAgentId(Long objPpAgentId);

    /**
     * 根据对象ID查询
     *
     * @param objId 对象ID
     * @return 列表
     */
    List<BizObjPpAgent> selectBizObjPpAgentListByObjId(Long objId);

    /**
     * 根据对象删除
     *
     * @param ag 对象
     */
    void delete(BizObjPpAgent ag);
}
