package com.jjt.biz.service;

import com.jjt.biz.domain.BizObjPp;
import com.jjt.biz.domain.PinpointVO;

import java.util.List;

/**
 * 业务对象pinpoint组成Service接口
 *
 * @author jjt
 * @date 2024-08-09
 */
public interface IBizObjPpService {
    /**
     * 查询业务对象pinpoint组成
     *
     * @param objPpId 业务对象pinpoint组成主键
     * @return 业务对象pinpoint组成
     */
    public BizObjPp selectBizObjPpByObjPpId(Long objPpId);

    /**
     * 查询业务对象pinpoint组成列表
     *
     * @param bizObjPp 业务对象pinpoint组成
     * @return 业务对象pinpoint组成集合
     */
    public List<BizObjPp> selectBizObjPpList(BizObjPp bizObjPp);

    /**
     * 新增业务对象pinpoint组成
     *
     * @param bizObjPp 业务对象pinpoint组成
     * @return 结果
     */
    public int insertBizObjPp(BizObjPp bizObjPp);

    /**
     * 保存或更新
     *
     * @param bizObjPp 业务对象pinpoint组成
     * @return 结果
     */
    int saveOrUpdate(BizObjPp bizObjPp);

    /**
     * 修改业务对象pinpoint组成
     *
     * @param bizObjPp 业务对象pinpoint组成
     * @return 结果
     */
    public int updateBizObjPp(BizObjPp bizObjPp);

    /**
     * 批量删除业务对象pinpoint组成
     *
     * @param objPpIds 需要删除的业务对象pinpoint组成主键集合
     * @return 结果
     */
    public int deleteBizObjPpByObjPpIds(Long[] objPpIds);

    /**
     * 删除业务对象pinpoint组成信息
     *
     * @param objPpId 业务对象pinpoint组成主键
     * @return 结果
     */
    public int deleteBizObjPpByObjPpId(Long objPpId);

    /**
     * 通过objId查询列表
     *
     * @param objId 对象ID
     * @return 结果
     */
    List<BizObjPp> selectBizObjPpListByObjId(Long objId);
}
