package com.jjt.biz.service;

import com.jjt.biz.domain.BizObj;

import java.util.List;

/**
 * 业务对象Service接口
 *
 * @author jjt
 * @date 2024-08-09
 */
public interface IBizObjService {
    /**
     * 查询业务对象
     *
     * @param objId 业务对象主键
     * @return 业务对象
     */
    public BizObj selectBizObjByObjId(Long objId);

    /**
     * 查询业务对象列表
     *
     * @param bizObj 业务对象
     * @return 业务对象集合
     */
    public List<BizObj> selectBizObjList(BizObj bizObj);

    /**
     * 新增业务对象
     *
     * @param bizObj 业务对象
     * @return 结果
     */
    public int insertBizObj(BizObj bizObj);

    /**
     * 修改业务对象
     *
     * @param bizObj 业务对象
     * @return 结果
     */
    public int updateBizObj(BizObj bizObj);

    /**
     * 批量删除业务对象
     *
     * @param objIds 需要删除的业务对象主键集合
     * @return 结果
     */
    public int deleteBizObjByObjIds(Long[] objIds);

    /**
     * 删除业务对象信息
     *
     * @param objId 业务对象主键
     * @return 结果
     */
    public int deleteBizObjByObjId(Long objId);

    /**
     * 通过指标ID查询对象列表
     *
     * @param metricsId 指标ID
     * @return 结果
     */
    List<BizObj> selectBizObjListByMetricsId(Long metricsId);
}
