package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.BizObjTpl;
import com.jjt.biz.domain.MetricsDef;
import com.jjt.biz.domain.MetricsTpl;

/**
 * 业务对象模板应用Service接口
 *
 * @author jjt
 * @date 2024-08-09
 */
public interface IBizObjTplService
{
    /**
     * 查询业务对象模板应用
     *
     * @param objTplId 业务对象模板应用主键
     * @return 业务对象模板应用
     */
    public BizObjTpl selectBizObjTplByObjTplId(Long objTplId);

    /**
     * 查询业务对象模板应用列表
     *
     * @param bizObjTpl 业务对象模板应用
     * @return 业务对象模板应用集合
     */
    public List<BizObjTpl> selectBizObjTplList(BizObjTpl bizObjTpl);

    /**
     * 新增业务对象模板应用
     *
     * @param bizObjTpl 业务对象模板应用
     * @return 结果
     */
    public int insertBizObjTpl(BizObjTpl bizObjTpl);

    /**
     * 修改业务对象模板应用
     *
     * @param bizObjTpl 业务对象模板应用
     * @return 结果
     */
    public int updateBizObjTpl(BizObjTpl bizObjTpl);

    /**
     * 批量删除业务对象模板应用
     *
     * @param objTplIds 需要删除的业务对象模板应用主键集合
     * @return 结果
     */
    public int deleteBizObjTplByObjTplIds(Long[] objTplIds);

    /**
     * 删除业务对象模板应用信息
     *
     * @param objTplId 业务对象模板应用主键
     * @return 结果
     */
    public int deleteBizObjTplByObjTplId(Long objTplId);

    /**
     * 选择模板，除开当前对象已选择的。
     * @param objId 对象ID
     * @return 结果
     */
    List<MetricsTpl> selectTplList(Long objId);
    /**
     * 查询当前对象已选择的模板
     *
     * @param objId 对象ID
     * @return 结果
     */
    List<BizObjTpl> selectTplList4objId(Long objId);

    /**
     * 添加模板
     * @param objId 对象id
     * @param tplIds 模板ids
     * @return
     */
    int insertTplDetails(Long objId, Long[] tplIds);
    /**
     * 通过objId查询列表
     * @param objId 对象ID
     * @return 结果
     */
    List<BizObjTpl> selectBizObjTplListByObjId(Long objId);

    /**
     * 删除模板
     * @param objId 对象ID
     * @param tplId 模板ID
     * @return 结果
     */
    int del(Long objId, Long tplId);
}
