package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.IndexMetrics;

/**
 * 首页指标配置Service接口
 * 
 * @author jjt
 * @date 2024-09-12
 */
public interface IIndexMetricsService 
{
    /**
     * 查询首页指标配置
     * 
     * @param imId 首页指标配置主键
     * @return 首页指标配置
     */
    public IndexMetrics selectIndexMetricsByImId(Long imId);

    /**
     * 查询首页指标配置列表
     * 
     * @param indexMetrics 首页指标配置
     * @return 首页指标配置集合
     */
    public List<IndexMetrics> selectIndexMetricsList(IndexMetrics indexMetrics);

    /**
     * 新增首页指标配置
     * 
     * @param indexMetrics 首页指标配置
     * @return 结果
     */
    public int insertIndexMetrics(IndexMetrics indexMetrics);

    /**
     * 修改首页指标配置
     * 
     * @param indexMetrics 首页指标配置
     * @return 结果
     */
    public int updateIndexMetrics(IndexMetrics indexMetrics);

    /**
     * 批量删除首页指标配置
     * 
     * @param imIds 需要删除的首页指标配置主键集合
     * @return 结果
     */
    public int deleteIndexMetricsByImIds(Long[] imIds);

    /**
     * 删除首页指标配置信息
     * 
     * @param imId 首页指标配置主键
     * @return 结果
     */
    public int deleteIndexMetricsByImId(Long imId);
}
