package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.MetricsDef;

/**
 * 指标定义Service接口
 *
 * @author jjt
 * @date 2024-08-08
 */
public interface IMetricsDefService
{
    /**
     * 查询指标定义
     *
     * @param metricsId 指标定义主键
     * @return 指标定义
     */
    public MetricsDef selectMetricsDefByMetricsId(Long metricsId);

    /**
     * 查询指标定义列表
     *
     * @param metricsDef 指标定义
     * @return 指标定义集合
     */
    public List<MetricsDef> selectMetricsDefList(MetricsDef metricsDef);

    /**
     * 新增指标定义
     *
     * @param metricsDef 指标定义
     * @return 结果
     */
    public int insertMetricsDef(MetricsDef metricsDef);

    /**
     * 修改指标定义
     *
     * @param metricsDef 指标定义
     * @return 结果
     */
    public int updateMetricsDef(MetricsDef metricsDef);

    /**
     * 批量删除指标定义
     *
     * @param metricsIds 需要删除的指标定义主键集合
     * @return 结果
     */
    public int deleteMetricsDefByMetricsIds(Long[] metricsIds);

    /**
     * 删除指标定义信息
     *
     * @param metricsId 指标定义主键
     * @return 结果
     */
    public int deleteMetricsDefByMetricsId(Long metricsId);
}
