package com.jjt.biz.service;

import com.jjt.biz.domain.MetricsDef;
import com.jjt.biz.domain.MetricsTplDetail;

import java.util.List;

/**
 * 模板指标明细Service接口
 *
 * @author jjt
 * @date 2024-08-08
 */
public interface IMetricsTplDetailService {
    /**
     * 查询模板指标明细
     *
     * @param tplDetailId 模板指标明细主键
     * @return 模板指标明细
     */
    public MetricsTplDetail selectMetricsTplDetailByTplDetailId(Long tplDetailId);

    /**
     * 查询模板指标明细列表
     *
     * @param metricsTplDetail 模板指标明细
     * @return 模板指标明细集合
     */
    public List<MetricsTplDetail> selectMetricsTplDetailList(MetricsTplDetail metricsTplDetail);

    /**
     * 新增模板指标明细
     *
     * @param metricsTplDetail 模板指标明细
     * @return 结果
     */
    public int insertMetricsTplDetail(MetricsTplDetail metricsTplDetail);

    /**
     * 修改模板指标明细
     *
     * @param metricsTplDetail 模板指标明细
     * @return 结果
     */
    public int updateMetricsTplDetail(MetricsTplDetail metricsTplDetail);

    /**
     * 批量删除模板指标明细
     *
     * @param tplDetailIds 需要删除的模板指标明细主键集合
     * @return 结果
     */
    public int deleteMetricsTplDetailByTplDetailIds(Long[] tplDetailIds);

    /**
     * 删除模板指标明细信息
     *
     * @param tplDetailId 模板指标明细主键
     * @return 结果
     */
    public int deleteMetricsTplDetailByTplDetailId(Long tplDetailId);

    /**
     * 选择指标，已选择的需要排除
     *
     * @param tplId 模板ID
     * @param def   查询参数
     * @return 列表
     */
    List<MetricsDef> selectMetricsDefList(Long tplId, MetricsDef def);

    /**
     * 添加指标
     *
     * @param tplId      模板ID
     * @param metricsIds 指标ID数组
     * @return 结果
     */
    int insertMetricsTplDetails(Long tplId, Long[] metricsIds);
}
