package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.MetricsTpl;

/**
 * 指标模板Service接口
 * 
 * @author jjt
 * @date 2024-08-08
 */
public interface IMetricsTplService 
{
    /**
     * 查询指标模板
     * 
     * @param tplId 指标模板主键
     * @return 指标模板
     */
    public MetricsTpl selectMetricsTplByTplId(Long tplId);

    /**
     * 查询指标模板列表
     * 
     * @param metricsTpl 指标模板
     * @return 指标模板集合
     */
    public List<MetricsTpl> selectMetricsTplList(MetricsTpl metricsTpl);

    /**
     * 新增指标模板
     * 
     * @param metricsTpl 指标模板
     * @return 结果
     */
    public int insertMetricsTpl(MetricsTpl metricsTpl);

    /**
     * 修改指标模板
     * 
     * @param metricsTpl 指标模板
     * @return 结果
     */
    public int updateMetricsTpl(MetricsTpl metricsTpl);

    /**
     * 批量删除指标模板
     * 
     * @param tplIds 需要删除的指标模板主键集合
     * @return 结果
     */
    public int deleteMetricsTplByTplIds(Long[] tplIds);

    /**
     * 删除指标模板信息
     * 
     * @param tplId 指标模板主键
     * @return 结果
     */
    public int deleteMetricsTplByTplId(Long tplId);
}
