package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.MetricsType;

/**
 * 指标分类Service接口
 * 
 * @author jjt
 * @date 2024-08-08
 */
public interface IMetricsTypeService 
{
    /**
     * 查询指标分类
     * 
     * @param typeId 指标分类主键
     * @return 指标分类
     */
    public MetricsType selectMetricsTypeByTypeId(Long typeId);

    /**
     * 查询指标分类列表
     * 
     * @param metricsType 指标分类
     * @return 指标分类集合
     */
    public List<MetricsType> selectMetricsTypeList(MetricsType metricsType);

    /**
     * 新增指标分类
     * 
     * @param metricsType 指标分类
     * @return 结果
     */
    public int insertMetricsType(MetricsType metricsType);

    /**
     * 修改指标分类
     * 
     * @param metricsType 指标分类
     * @return 结果
     */
    public int updateMetricsType(MetricsType metricsType);

    /**
     * 批量删除指标分类
     * 
     * @param typeIds 需要删除的指标分类主键集合
     * @return 结果
     */
    public int deleteMetricsTypeByTypeIds(Long[] typeIds);

    /**
     * 删除指标分类信息
     * 
     * @param typeId 指标分类主键
     * @return 结果
     */
    public int deleteMetricsTypeByTypeId(Long typeId);
}
