package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.BizInspectionDetailMapper;
import com.jjt.biz.domain.BizInspectionDetail;
import com.jjt.biz.service.IBizInspectionDetailService;
import javax.annotation.Resource;

/**
 * 业务模型健康度评分明细Service业务层处理
 *
 * @author jjt
 * @date 2024-08-26
 */
@Service
public class BizInspectionDetailServiceImpl implements IBizInspectionDetailService {
    @Resource
    private BizInspectionDetailMapper bizInspectionDetailMapper;

    /**
     * 查询业务模型健康度评分明细
     *
     * @param inspectionDetailId 业务模型健康度评分明细主键
     * @return 业务模型健康度评分明细
     */
    @Override
    public BizInspectionDetail selectBizInspectionDetailByInspectionDetailId(Long inspectionDetailId) {
        return bizInspectionDetailMapper.selectBizInspectionDetailByInspectionDetailId(inspectionDetailId);
    }

    /**
     * 查询业务模型健康度评分明细列表
     *
     * @param bizInspectionDetail 业务模型健康度评分明细
     * @return 业务模型健康度评分明细
     */
    @Override
    public List<BizInspectionDetail> selectBizInspectionDetailList(BizInspectionDetail bizInspectionDetail) {
        return bizInspectionDetailMapper.selectBizInspectionDetailList(bizInspectionDetail);
    }

    /**
     * 新增业务模型健康度评分明细
     *
     * @param bizInspectionDetail 业务模型健康度评分明细
     * @return 结果
     */
    @Override
    public int insertBizInspectionDetail(BizInspectionDetail bizInspectionDetail) {
                bizInspectionDetail.setCreateTime(DateUtils.getNowDate());
            return bizInspectionDetailMapper.insertBizInspectionDetail(bizInspectionDetail);
    }

    /**
     * 修改业务模型健康度评分明细
     *
     * @param bizInspectionDetail 业务模型健康度评分明细
     * @return 结果
     */
    @Override
    public int updateBizInspectionDetail(BizInspectionDetail bizInspectionDetail) {
                bizInspectionDetail.setUpdateTime(DateUtils.getNowDate());
        return bizInspectionDetailMapper.updateBizInspectionDetail(bizInspectionDetail);
    }

    /**
     * 批量删除业务模型健康度评分明细
     *
     * @param inspectionDetailIds 需要删除的业务模型健康度评分明细主键
     * @return 结果
     */
    @Override
    public int deleteBizInspectionDetailByInspectionDetailIds(Long[] inspectionDetailIds) {
        return bizInspectionDetailMapper.deleteBizInspectionDetailByInspectionDetailIds(inspectionDetailIds);
    }

    /**
     * 删除业务模型健康度评分明细信息
     *
     * @param inspectionDetailId 业务模型健康度评分明细主键
     * @return 结果
     */
    @Override
    public int deleteBizInspectionDetailByInspectionDetailId(Long inspectionDetailId) {
        return bizInspectionDetailMapper.deleteBizInspectionDetailByInspectionDetailId(inspectionDetailId);
    }
}
