package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.BizInspectionMetricsMapper;
import com.jjt.biz.domain.BizInspectionMetrics;
import com.jjt.biz.service.IBizInspectionMetricsService;
import javax.annotation.Resource;

/**
 * 业务模型健康度指标明细Service业务层处理
 *
 * @author jjt
 * @date 2024-08-26
 */
@Service
public class BizInspectionMetricsServiceImpl implements IBizInspectionMetricsService {
    @Resource
    private BizInspectionMetricsMapper bizInspectionMetricsMapper;

    /**
     * 查询业务模型健康度指标明细
     *
     * @param autoId 业务模型健康度指标明细主键
     * @return 业务模型健康度指标明细
     */
    @Override
    public BizInspectionMetrics selectBizInspectionMetricsByAutoId(Long autoId) {
        return bizInspectionMetricsMapper.selectBizInspectionMetricsByAutoId(autoId);
    }

    /**
     * 查询业务模型健康度指标明细列表
     *
     * @param bizInspectionMetrics 业务模型健康度指标明细
     * @return 业务模型健康度指标明细
     */
    @Override
    public List<BizInspectionMetrics> selectBizInspectionMetricsList(BizInspectionMetrics bizInspectionMetrics) {
        return bizInspectionMetricsMapper.selectBizInspectionMetricsList(bizInspectionMetrics);
    }

    /**
     * 新增业务模型健康度指标明细
     *
     * @param bizInspectionMetrics 业务模型健康度指标明细
     * @return 结果
     */
    @Override
    public int insertBizInspectionMetrics(BizInspectionMetrics bizInspectionMetrics) {
                bizInspectionMetrics.setCreateTime(DateUtils.getNowDate());
            return bizInspectionMetricsMapper.insertBizInspectionMetrics(bizInspectionMetrics);
    }

    /**
     * 修改业务模型健康度指标明细
     *
     * @param bizInspectionMetrics 业务模型健康度指标明细
     * @return 结果
     */
    @Override
    public int updateBizInspectionMetrics(BizInspectionMetrics bizInspectionMetrics) {
                bizInspectionMetrics.setUpdateTime(DateUtils.getNowDate());
        return bizInspectionMetricsMapper.updateBizInspectionMetrics(bizInspectionMetrics);
    }

    /**
     * 批量删除业务模型健康度指标明细
     *
     * @param autoIds 需要删除的业务模型健康度指标明细主键
     * @return 结果
     */
    @Override
    public int deleteBizInspectionMetricsByAutoIds(Long[] autoIds) {
        return bizInspectionMetricsMapper.deleteBizInspectionMetricsByAutoIds(autoIds);
    }

    /**
     * 删除业务模型健康度指标明细信息
     *
     * @param autoId 业务模型健康度指标明细主键
     * @return 结果
     */
    @Override
    public int deleteBizInspectionMetricsByAutoId(Long autoId) {
        return bizInspectionMetricsMapper.deleteBizInspectionMetricsByAutoId(autoId);
    }
}
