package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.BizObjAppMapper;
import com.jjt.biz.domain.BizObjApp;
import com.jjt.biz.service.IBizObjAppService;
import javax.annotation.Resource;

/**
 * 应用程序管理Service业务层处理
 *
 * @author jjt
 * @date 2024-08-09
 */
@Service
public class BizObjAppServiceImpl implements IBizObjAppService {
    @Resource
    private BizObjAppMapper bizObjAppMapper;

    /**
     * 查询应用程序管理
     *
     * @param appId 应用程序管理主键
     * @return 应用程序管理
     */
    @Override
    public BizObjApp selectBizObjAppByAppId(Long appId) {
        return bizObjAppMapper.selectBizObjAppByAppId(appId);
    }

    /**
     * 查询应用程序管理列表
     *
     * @param bizObjApp 应用程序管理
     * @return 应用程序管理
     */
    @Override
    public List<BizObjApp> selectBizObjAppList(BizObjApp bizObjApp) {
        return bizObjAppMapper.selectBizObjAppList(bizObjApp);
    }

    /**
     * 新增应用程序管理
     *
     * @param bizObjApp 应用程序管理
     * @return 结果
     */
    @Override
    public int insertBizObjApp(BizObjApp bizObjApp) {
                bizObjApp.setCreateTime(DateUtils.getNowDate());
            return bizObjAppMapper.insertBizObjApp(bizObjApp);
    }

    /**
     * 修改应用程序管理
     *
     * @param bizObjApp 应用程序管理
     * @return 结果
     */
    @Override
    public int updateBizObjApp(BizObjApp bizObjApp) {
                bizObjApp.setUpdateTime(DateUtils.getNowDate());
        return bizObjAppMapper.updateBizObjApp(bizObjApp);
    }

    /**
     * 批量删除应用程序管理
     *
     * @param appIds 需要删除的应用程序管理主键
     * @return 结果
     */
    @Override
    public int deleteBizObjAppByAppIds(Long[] appIds) {
        return bizObjAppMapper.deleteBizObjAppByAppIds(appIds);
    }

    /**
     * 删除应用程序管理信息
     *
     * @param appId 应用程序管理主键
     * @return 结果
     */
    @Override
    public int deleteBizObjAppByAppId(Long appId) {
        return bizObjAppMapper.deleteBizObjAppByAppId(appId);
    }
}
