package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.BizObjDataMapper;
import com.jjt.biz.domain.BizObjData;
import com.jjt.biz.service.IBizObjDataService;
import javax.annotation.Resource;

/**
 * 业务对象数据接口Service业务层处理
 *
 * @author jjt
 * @date 2024-08-09
 */
@Service
public class BizObjDataServiceImpl implements IBizObjDataService {
    @Resource
    private BizObjDataMapper bizObjDataMapper;

    /**
     * 查询业务对象数据接口
     *
     * @param dataId 业务对象数据接口主键
     * @return 业务对象数据接口
     */
    @Override
    public BizObjData selectBizObjDataByDataId(Long dataId) {
        return bizObjDataMapper.selectBizObjDataByDataId(dataId);
    }

    /**
     * 查询业务对象数据接口列表
     *
     * @param bizObjData 业务对象数据接口
     * @return 业务对象数据接口
     */
    @Override
    public List<BizObjData> selectBizObjDataList(BizObjData bizObjData) {
        return bizObjDataMapper.selectBizObjDataList(bizObjData);
    }

    /**
     * 新增业务对象数据接口
     *
     * @param bizObjData 业务对象数据接口
     * @return 结果
     */
    @Override
    public int insertBizObjData(BizObjData bizObjData) {
                bizObjData.setCreateTime(DateUtils.getNowDate());
            return bizObjDataMapper.insertBizObjData(bizObjData);
    }

    /**
     * 修改业务对象数据接口
     *
     * @param bizObjData 业务对象数据接口
     * @return 结果
     */
    @Override
    public int updateBizObjData(BizObjData bizObjData) {
                bizObjData.setUpdateTime(DateUtils.getNowDate());
        return bizObjDataMapper.updateBizObjData(bizObjData);
    }

    /**
     * 批量删除业务对象数据接口
     *
     * @param dataIds 需要删除的业务对象数据接口主键
     * @return 结果
     */
    @Override
    public int deleteBizObjDataByDataIds(Long[] dataIds) {
        return bizObjDataMapper.deleteBizObjDataByDataIds(dataIds);
    }

    /**
     * 删除业务对象数据接口信息
     *
     * @param dataId 业务对象数据接口主键
     * @return 结果
     */
    @Override
    public int deleteBizObjDataByDataId(Long dataId) {
        return bizObjDataMapper.deleteBizObjDataByDataId(dataId);
    }
}
