package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.BizObjMcMapper;
import com.jjt.biz.domain.BizObjMc;
import com.jjt.biz.service.IBizObjMcService;
import javax.annotation.Resource;

/**
 * 业务对象自定义指标Service业务层处理
 *
 * @author jjt
 * @date 2024-10-09
 */
@Service
public class BizObjMcServiceImpl implements IBizObjMcService {
    @Resource
    private BizObjMcMapper bizObjMcMapper;

    /**
     * 查询业务对象自定义指标
     *
     * @param mcId 业务对象自定义指标主键
     * @return 业务对象自定义指标
     */
    @Override
    public BizObjMc selectBizObjMcByMcId(Long mcId) {
        return bizObjMcMapper.selectBizObjMcByMcId(mcId);
    }

    /**
     * 查询业务对象自定义指标列表
     *
     * @param bizObjMc 业务对象自定义指标
     * @return 业务对象自定义指标
     */
    @Override
    public List<BizObjMc> selectBizObjMcList(BizObjMc bizObjMc) {
        return bizObjMcMapper.selectBizObjMcList(bizObjMc);
    }

    /**
     * 新增业务对象自定义指标
     *
     * @param bizObjMc 业务对象自定义指标
     * @return 结果
     */
    @Override
    public int insertBizObjMc(BizObjMc bizObjMc) {
                bizObjMc.setCreateTime(DateUtils.getNowDate());
            return bizObjMcMapper.insertBizObjMc(bizObjMc);
    }

    /**
     * 修改业务对象自定义指标
     *
     * @param bizObjMc 业务对象自定义指标
     * @return 结果
     */
    @Override
    public int updateBizObjMc(BizObjMc bizObjMc) {
                bizObjMc.setUpdateTime(DateUtils.getNowDate());
        return bizObjMcMapper.updateBizObjMc(bizObjMc);
    }

    /**
     * 批量删除业务对象自定义指标
     *
     * @param mcIds 需要删除的业务对象自定义指标主键
     * @return 结果
     */
    @Override
    public int deleteBizObjMcByMcIds(Long[] mcIds) {
        return bizObjMcMapper.deleteBizObjMcByMcIds(mcIds);
    }

    /**
     * 删除业务对象自定义指标信息
     *
     * @param mcId 业务对象自定义指标主键
     * @return 结果
     */
    @Override
    public int deleteBizObjMcByMcId(Long mcId) {
        return bizObjMcMapper.deleteBizObjMcByMcId(mcId);
    }
}
