package com.jjt.biz.service.impl;

import com.jjt.biz.domain.BizObjMetricsData;
import com.jjt.biz.mapper.BizObjMetricsDataMapper;
import com.jjt.biz.service.IBizObjMetricsDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * 业务对象指标数据Service业务层处理
 *
 * @author jjt
 * @date 2024-09-01
 */
@Service
public class BizObjMetricsDataServiceImpl implements IBizObjMetricsDataService {
    @Resource
    private BizObjMetricsDataMapper bizObjMetricsDataMapper;

    /**
     * 查询业务对象指标数据
     *
     * @param dataId 业务对象指标数据主键
     * @return 业务对象指标数据
     */
    @Override
    public BizObjMetricsData selectBizObjMetricsDataByDataId(Long dataId) {
        return bizObjMetricsDataMapper.selectBizObjMetricsDataByDataId(dataId);
    }

    /**
     * 查询业务对象指标数据列表
     *
     * @param bizObjMetricsData 业务对象指标数据
     * @return 业务对象指标数据
     */
    @Override
    public List<BizObjMetricsData> selectBizObjMetricsDataList(BizObjMetricsData bizObjMetricsData) {
        return bizObjMetricsDataMapper.selectBizObjMetricsDataList(bizObjMetricsData);
    }

    /**
     * 新增业务对象指标数据
     *
     * @param bizObjMetricsData 业务对象指标数据
     * @return 结果
     */
    @Override
    public int insertBizObjMetricsData(BizObjMetricsData bizObjMetricsData) {
        return bizObjMetricsDataMapper.insertBizObjMetricsData(bizObjMetricsData);
    }

    /**
     * 修改业务对象指标数据
     *
     * @param bizObjMetricsData 业务对象指标数据
     * @return 结果
     */
    @Override
    public int updateBizObjMetricsData(BizObjMetricsData bizObjMetricsData) {
        return bizObjMetricsDataMapper.updateBizObjMetricsData(bizObjMetricsData);
    }

    /**
     * 批量删除业务对象指标数据
     *
     * @param dataIds 需要删除的业务对象指标数据主键
     * @return 结果
     */
    @Override
    public int deleteBizObjMetricsDataByDataIds(Long[] dataIds) {
        return bizObjMetricsDataMapper.deleteBizObjMetricsDataByDataIds(dataIds);
    }

    /**
     * 删除业务对象指标数据信息
     *
     * @param dataId 业务对象指标数据主键
     * @return 结果
     */
    @Override
    public int deleteBizObjMetricsDataByDataId(Long dataId) {
        return bizObjMetricsDataMapper.deleteBizObjMetricsDataByDataId(dataId);
    }

    /**
     * 清理date之前的历史数据
     *
     * @param date 时间
     */
    @Override
    public void clean(Date date) {
        bizObjMetricsDataMapper.clean(date);
    }
}
