package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.IndexMetricsMapper;
import com.jjt.biz.domain.IndexMetrics;
import com.jjt.biz.service.IIndexMetricsService;
import javax.annotation.Resource;

/**
 * 首页指标配置Service业务层处理
 *
 * @author jjt
 * @date 2024-09-12
 */
@Service
public class IndexMetricsServiceImpl implements IIndexMetricsService {
    @Resource
    private IndexMetricsMapper indexMetricsMapper;

    /**
     * 查询首页指标配置
     *
     * @param imId 首页指标配置主键
     * @return 首页指标配置
     */
    @Override
    public IndexMetrics selectIndexMetricsByImId(Long imId) {
        return indexMetricsMapper.selectIndexMetricsByImId(imId);
    }

    /**
     * 查询首页指标配置列表
     *
     * @param indexMetrics 首页指标配置
     * @return 首页指标配置
     */
    @Override
    public List<IndexMetrics> selectIndexMetricsList(IndexMetrics indexMetrics) {
        return indexMetricsMapper.selectIndexMetricsList(indexMetrics);
    }

    /**
     * 新增首页指标配置
     *
     * @param indexMetrics 首页指标配置
     * @return 结果
     */
    @Override
    public int insertIndexMetrics(IndexMetrics indexMetrics) {
                indexMetrics.setCreateTime(DateUtils.getNowDate());
            return indexMetricsMapper.insertIndexMetrics(indexMetrics);
    }

    /**
     * 修改首页指标配置
     *
     * @param indexMetrics 首页指标配置
     * @return 结果
     */
    @Override
    public int updateIndexMetrics(IndexMetrics indexMetrics) {
                indexMetrics.setUpdateTime(DateUtils.getNowDate());
        return indexMetricsMapper.updateIndexMetrics(indexMetrics);
    }

    /**
     * 批量删除首页指标配置
     *
     * @param imIds 需要删除的首页指标配置主键
     * @return 结果
     */
    @Override
    public int deleteIndexMetricsByImIds(Long[] imIds) {
        return indexMetricsMapper.deleteIndexMetricsByImIds(imIds);
    }

    /**
     * 删除首页指标配置信息
     *
     * @param imId 首页指标配置主键
     * @return 结果
     */
    @Override
    public int deleteIndexMetricsByImId(Long imId) {
        return indexMetricsMapper.deleteIndexMetricsByImId(imId);
    }
}
