package com.jjt.biz.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.MetricsTplMapper;
import com.jjt.biz.domain.MetricsTpl;
import com.jjt.biz.service.IMetricsTplService;
import javax.annotation.Resource;

/**
 * 指标模板Service业务层处理
 *
 * @author jjt
 * @date 2024-08-08
 */
@Service
public class MetricsTplServiceImpl implements IMetricsTplService {
    @Resource
    private MetricsTplMapper metricsTplMapper;

    /**
     * 查询指标模板
     *
     * @param tplId 指标模板主键
     * @return 指标模板
     */
    @Override
    public MetricsTpl selectMetricsTplByTplId(Long tplId) {
        return metricsTplMapper.selectMetricsTplByTplId(tplId);
    }

    /**
     * 查询指标模板列表
     *
     * @param metricsTpl 指标模板
     * @return 指标模板
     */
    @Override
    public List<MetricsTpl> selectMetricsTplList(MetricsTpl metricsTpl) {
        return metricsTplMapper.selectMetricsTplList(metricsTpl);
    }

    /**
     * 新增指标模板
     *
     * @param metricsTpl 指标模板
     * @return 结果
     */
    @Override
    public int insertMetricsTpl(MetricsTpl metricsTpl) {
                metricsTpl.setCreateTime(DateUtils.getNowDate());
            return metricsTplMapper.insertMetricsTpl(metricsTpl);
    }

    /**
     * 修改指标模板
     *
     * @param metricsTpl 指标模板
     * @return 结果
     */
    @Override
    public int updateMetricsTpl(MetricsTpl metricsTpl) {
                metricsTpl.setUpdateTime(DateUtils.getNowDate());
        return metricsTplMapper.updateMetricsTpl(metricsTpl);
    }

    /**
     * 批量删除指标模板
     *
     * @param tplIds 需要删除的指标模板主键
     * @return 结果
     */
    @Override
    public int deleteMetricsTplByTplIds(Long[] tplIds) {
        return metricsTplMapper.deleteMetricsTplByTplIds(tplIds);
    }

    /**
     * 删除指标模板信息
     *
     * @param tplId 指标模板主键
     * @return 结果
     */
    @Override
    public int deleteMetricsTplByTplId(Long tplId) {
        return metricsTplMapper.deleteMetricsTplByTplId(tplId);
    }
}
