package com.jjt.check.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 自动巡检指标配置对象 check_config
 *
 * @author jjt
 * @date 2024-12-06
 */
@ApiModel(value = "CheckConfig", description = "自动巡检指标配置")
public class CheckConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 配置ID */
    @ApiModelProperty("配置ID")
    @TableId
    private Long ccId;

    /** 分类名称 */
    @ApiModelProperty("分类名称")
    @Excel(name = "分类名称")
    private String className;

    /** 巡检顶 */
    @ApiModelProperty("巡检顶")
    @Excel(name = "巡检顶")
    private String checkName;

    /** 巡检项编码 */
    @ApiModelProperty("巡检项编码")
    @Excel(name = "巡检项编码")
    private String checkCode;

    /** 指标ID */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    /** 指标名称 */
    @ApiModelProperty("指标名称")
    @Excel(name = "指标名称")
    private String metricsName;

    /** 计算方法 */
    @ApiModelProperty("计算方法")
    @Excel(name = "计算方法")
    private String checkMethod;

    /** 巡检规则 */
    @ApiModelProperty("巡检规则")
    @Excel(name = "巡检规则")
    private String checkRule;

    /** 最近值 */
    @ApiModelProperty("最近值")
    @Excel(name = "最近值")
    private BigDecimal lValue;

    public void setCcId(Long ccId)
    {
        this.ccId = ccId;
    }

    public Long getCcId()
    {
        return ccId;
    }
    public void setClassName(String className)
    {
        this.className = className;
    }

    public String getClassName()
    {
        return className;
    }
    public void setCheckName(String checkName)
    {
        this.checkName = checkName;
    }

    public String getCheckName()
    {
        return checkName;
    }
    public void setCheckCode(String checkCode)
    {
        this.checkCode = checkCode;
    }

    public String getCheckCode()
    {
        return checkCode;
    }
    public void setMetricsId(Long metricsId)
    {
        this.metricsId = metricsId;
    }

    public Long getMetricsId()
    {
        return metricsId;
    }
    public void setMetricsName(String metricsName)
    {
        this.metricsName = metricsName;
    }

    public String getMetricsName()
    {
        return metricsName;
    }
    public void setCheckMethod(String checkMethod)
    {
        this.checkMethod = checkMethod;
    }

    public String getCheckMethod()
    {
        return checkMethod;
    }
    public void setCheckRule(String checkRule)
    {
        this.checkRule = checkRule;
    }

    public String getCheckRule()
    {
        return checkRule;
    }
    public void setlValue(BigDecimal lValue)
    {
        this.lValue = lValue;
    }

    public BigDecimal getlValue()
    {
        return lValue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ccId", getCcId())
            .append("className", getClassName())
            .append("checkName", getCheckName())
            .append("checkCode", getCheckCode())
            .append("metricsId", getMetricsId())
            .append("metricsName", getMetricsName())
            .append("checkMethod", getCheckMethod())
            .append("checkRule", getCheckRule())
            .append("lValue", getlValue())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
