package com.jjt.check.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 自动巡检记录对象 check_record
 *
 * @author jjt
 * @date 2024-12-06
 */
@ApiModel(value = "CheckRecord", description = "自动巡检记录")
@Data
public class CheckRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 记录ID
     */
    @ApiModelProperty("记录ID")
    @TableId
    private Long crId;

    /**
     * 巡检时间
     */
    @ApiModelProperty("巡检时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /**
     * 简报
     */
    @ApiModelProperty("简报")
    @Excel(name = "简报")
    private String checkResult;

    @ApiModelProperty("巡检结果明细")
    private List<CheckRecordDetail> detailList;
}
