package com.jjt.check.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 自动巡检记录明细对象 check_record_detail
 *
 * @author jjt
 * @date 2024-12-06
 */
@ApiModel(value = "CheckRecordDetail", description = "自动巡检记录明细")
@Data
public class CheckRecordDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 明细ID
     */
    @ApiModelProperty("明细ID")
    @TableId
    private Long crdId;

    @ApiModelProperty("配置ID")
    private Long ccId;

    @ApiModelProperty("分类名称")
    private String className;

    @ApiModelProperty("巡检顶")
    private String checkName;

    @ApiModelProperty("巡检项编码")
    private String checkCode;
    /**
     * 记录ID;
     */
    @ApiModelProperty("记录ID;")
    @Excel(name = "记录ID;")
    private Long crId;

    /**
     * 检查结果左
     */
    @ApiModelProperty("检查结果左")
    @Excel(name = "检查结果左")
    private String resultL;

    /**
     * 检查结果右
     */
    @ApiModelProperty("检查结果右")
    @Excel(name = "检查结果右")
    private String resultR;

    public void setCrdId(Long crdId) {
        this.crdId = crdId;
    }

    public Long getCrdId() {
        return crdId;
    }

    public void setCcId(Long ccId) {
        this.ccId = ccId;
    }

    public Long getCcId() {
        return ccId;
    }

    public void setCrId(Long crId) {
        this.crId = crId;
    }

    public Long getCrId() {
        return crId;
    }

    public void setResultL(String resultL) {
        this.resultL = resultL;
    }

    public String getResultL() {
        return resultL;
    }

    public void setResultR(String resultR) {
        this.resultR = resultR;
    }

    public String getResultR() {
        return resultR;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("crdId", getCrdId())
                .append("ccId", getCcId())
                .append("crId", getCrId())
                .append("resultL", getResultL())
                .append("resultR", getResultR())
                .append("remark", getRemark())
                .toString();
    }
}
