package com.jjt.check.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.check.domain.CheckConfig;

/**
 * 自动巡检指标配置Mapper接口
 * 
 * @author jjt
 * @date 2024-12-06
 */
public interface CheckConfigMapper extends BaseMapper<CheckConfig>
{
    /**
     * 查询自动巡检指标配置
     * 
     * @param ccId 自动巡检指标配置主键
     * @return 自动巡检指标配置
     */
    public CheckConfig selectCheckConfigByCcId(Long ccId);

    /**
     * 查询自动巡检指标配置列表
     * 
     * @param checkConfig 自动巡检指标配置
     * @return 自动巡检指标配置集合
     */
    public List<CheckConfig> selectCheckConfigList(CheckConfig checkConfig);

    /**
     * 新增自动巡检指标配置
     * 
     * @param checkConfig 自动巡检指标配置
     * @return 结果
     */
    public int insertCheckConfig(CheckConfig checkConfig);

    /**
     * 修改自动巡检指标配置
     * 
     * @param checkConfig 自动巡检指标配置
     * @return 结果
     */
    public int updateCheckConfig(CheckConfig checkConfig);

    /**
     * 删除自动巡检指标配置
     * 
     * @param ccId 自动巡检指标配置主键
     * @return 结果
     */
    public int deleteCheckConfigByCcId(Long ccId);

    /**
     * 批量删除自动巡检指标配置
     * 
     * @param ccIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCheckConfigByCcIds(Long[] ccIds);
}
