package com.jjt.check.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.check.domain.CheckRecordDetail;

/**
 * 自动巡检记录明细Mapper接口
 * 
 * @author jjt
 * @date 2024-12-06
 */
public interface CheckRecordDetailMapper extends BaseMapper<CheckRecordDetail>
{
    /**
     * 查询自动巡检记录明细
     * 
     * @param crdId 自动巡检记录明细主键
     * @return 自动巡检记录明细
     */
    public CheckRecordDetail selectCheckRecordDetailByCrdId(Long crdId);

    /**
     * 查询自动巡检记录明细列表
     * 
     * @param checkRecordDetail 自动巡检记录明细
     * @return 自动巡检记录明细集合
     */
    public List<CheckRecordDetail> selectCheckRecordDetailList(CheckRecordDetail checkRecordDetail);

    /**
     * 新增自动巡检记录明细
     * 
     * @param checkRecordDetail 自动巡检记录明细
     * @return 结果
     */
    public int insertCheckRecordDetail(CheckRecordDetail checkRecordDetail);

    /**
     * 修改自动巡检记录明细
     * 
     * @param checkRecordDetail 自动巡检记录明细
     * @return 结果
     */
    public int updateCheckRecordDetail(CheckRecordDetail checkRecordDetail);

    /**
     * 删除自动巡检记录明细
     * 
     * @param crdId 自动巡检记录明细主键
     * @return 结果
     */
    public int deleteCheckRecordDetailByCrdId(Long crdId);

    /**
     * 批量删除自动巡检记录明细
     * 
     * @param crdIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCheckRecordDetailByCrdIds(Long[] crdIds);
}
