package com.jjt.check.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.check.domain.CheckRecord;

/**
 * 自动巡检记录Mapper接口
 *
 * @author jjt
 * @date 2024-12-06
 */
public interface CheckRecordMapper extends BaseMapper<CheckRecord>
{
    /**
     * 查询自动巡检记录
     *
     * @param crId 自动巡检记录主键
     * @return 自动巡检记录
     */
    public CheckRecord selectCheckRecordByCrId(Long crId);

    /**
     * 查询自动巡检记录列表
     *
     * @param checkRecord 自动巡检记录
     * @return 自动巡检记录集合
     */
    public List<CheckRecord> selectCheckRecordList(CheckRecord checkRecord);

    /**
     * 新增自动巡检记录
     *
     * @param checkRecord 自动巡检记录
     * @return 结果
     */
    public int insertCheckRecord(CheckRecord checkRecord);

    /**
     * 修改自动巡检记录
     *
     * @param checkRecord 自动巡检记录
     * @return 结果
     */
    public int updateCheckRecord(CheckRecord checkRecord);

    /**
     * 删除自动巡检记录
     *
     * @param crId 自动巡检记录主键
     * @return 结果
     */
    public int deleteCheckRecordByCrId(Long crId);

    /**
     * 批量删除自动巡检记录
     *
     * @param crIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCheckRecordByCrIds(Long[] crIds);

    /**
     * 获取最新一条记录
     * @return
     */
    CheckRecord selectCheckRecordByLast();
}
