package com.jjt.check.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.check.mapper.CheckRecordDetailMapper;
import com.jjt.check.domain.CheckRecordDetail;
import com.jjt.check.service.ICheckRecordDetailService;
import javax.annotation.Resource;

/**
 * 自动巡检记录明细Service业务层处理
 *
 * @author jjt
 * @date 2024-12-06
 */
@Service
public class CheckRecordDetailServiceImpl implements ICheckRecordDetailService {
    @Resource
    private CheckRecordDetailMapper checkRecordDetailMapper;

    /**
     * 查询自动巡检记录明细
     *
     * @param crdId 自动巡检记录明细主键
     * @return 自动巡检记录明细
     */
    @Override
    public CheckRecordDetail selectCheckRecordDetailByCrdId(Long crdId) {
        return checkRecordDetailMapper.selectCheckRecordDetailByCrdId(crdId);
    }

    /**
     * 查询自动巡检记录明细列表
     *
     * @param checkRecordDetail 自动巡检记录明细
     * @return 自动巡检记录明细
     */
    @Override
    public List<CheckRecordDetail> selectCheckRecordDetailList(CheckRecordDetail checkRecordDetail) {
        return checkRecordDetailMapper.selectCheckRecordDetailList(checkRecordDetail);
    }

    /**
     * 新增自动巡检记录明细
     *
     * @param checkRecordDetail 自动巡检记录明细
     * @return 结果
     */
    @Override
    public int insertCheckRecordDetail(CheckRecordDetail checkRecordDetail) {
            return checkRecordDetailMapper.insertCheckRecordDetail(checkRecordDetail);
    }

    /**
     * 修改自动巡检记录明细
     *
     * @param checkRecordDetail 自动巡检记录明细
     * @return 结果
     */
    @Override
    public int updateCheckRecordDetail(CheckRecordDetail checkRecordDetail) {
        return checkRecordDetailMapper.updateCheckRecordDetail(checkRecordDetail);
    }

    /**
     * 批量删除自动巡检记录明细
     *
     * @param crdIds 需要删除的自动巡检记录明细主键
     * @return 结果
     */
    @Override
    public int deleteCheckRecordDetailByCrdIds(Long[] crdIds) {
        return checkRecordDetailMapper.deleteCheckRecordDetailByCrdIds(crdIds);
    }

    /**
     * 删除自动巡检记录明细信息
     *
     * @param crdId 自动巡检记录明细主键
     * @return 结果
     */
    @Override
    public int deleteCheckRecordDetailByCrdId(Long crdId) {
        return checkRecordDetailMapper.deleteCheckRecordDetailByCrdId(crdId);
    }
}
