package com.jjt.check.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.HashMap;
import java.util.Map;
import java.util.Random;

/**
 * CheckExportVO$
 *
 * @author wukai
 * @date 2024/12/4 01:31
 */
@ApiModel(value = "CheckExportVO", description = "巡检导出")
@Data
public class CheckExportVO {
    private String[] left;
    private String[] right;
    /**
     * 1.百分比数值
     * 2.正常异常
     * 3.是/否
     * 4.纯数值
     */
    public static final Integer[] METHOD = new Integer[]{1, 1, 1, 1, 1, 2, 2, 2, 2, 1, 1, 1, 4, 2, 2, 2, 4, 2, 4, 2, 2, 2, 2, 3, 2, 2, 3, 2};


    public static Map<String, String> checkV(boolean flag, float v, int pos) {
        Map<String, String> map = new HashMap<>();
        String resultR = "";
        String resultL = "";
        if (!flag) {
            switch (METHOD[pos]) {
                case 1:
                    resultL = "<" + v + "%";
                    resultR = "正常";
                    break;
                case 2:
                    resultL = "正常■ 异常□";
                    resultR = "正常";
                    break;
                case 3:
                    resultL = "是■ 否□";
                    resultR = "是";
                    break;
                case 4:
                    resultL = "<" + v;
                    resultR = "正常";
                    break;
                default:
            }
        } else {
            switch (METHOD[pos]) {
                case 1:
                    resultL = ">" + v + "%";
                    resultR = "异常";
                    break;
                case 2:
                    resultL = "正常□ 异常■";
                    resultR = "异常";
                    break;
                case 3:
                    resultL = "是□ 否■";
                    resultR = "否";
                    break;
                case 4:
                    resultL = ">" + v;
                    resultR = "异常";
                    break;
                default:
            }
        }
        map.put("left", resultL);
        map.put("right", resultR);

        return map;
    }

    public void mock() {
        this.left = new String[]{random(), random(), random(), random(), random(), "正常■ 异常□", "正常■ 异常□", "正常■ 异常□", "正常■ 异常□", random(), random(), random(), random(), "正常■ 异常□", "正常■ 异常□", "正常■ 异常□", random(), "正常■ 异常□", random(), "正常□ 异常■", "正常■ 异常□", "正常■ 异常□", "正常■ 异常□", "是■ 否□", "正常■ 异常", "正常■ 异常□", "是■ 否□", "正常■ 异常□"};
        this.right = new String[28];
        for (int i = 0; i < 28; i++) {
            int x = new Random().nextInt(100);
            if (x % 2 == 0) {
                right[i] = "正常";
            } else {
                right[i] = "异常";
            }
        }
//        this.right = new String[]{"正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常", "正常"};
    }

    private String random() {
        return BigDecimal.valueOf(Math.random() * 100).setScale(2, RoundingMode.HALF_UP) + "";
    }

    public static void main(String[] args) {
        for (int i = 0; i < 100; i++) {

            float v = new Random().nextFloat() * 100;
            boolean flag = false;
            if (v % 2 == 0) {
                flag = true;
            }

            System.err.println(v + "+" + flag);
        }
    }
}
