package com.jjt.hl.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 模型健康度分类得分对象 hl_class_score
 *
 * @author jjt
 * @date 2024-09-05
 */
@ApiModel(value = "HlClassScore", description = "模型健康度分类得分")
@Data
public class HlClassScore extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 健康度分类ID
     */
    @ApiModelProperty("健康度分类ID")
    @TableId
    private Long scoreClassId;
    
    @ApiModelProperty("old分类ID")
    private Long hlClassId;
    /**
     * 健康度分数记录ID
     */
    @ApiModelProperty("健康度分数记录ID")
    @Excel(name = "健康度分数记录ID")
    private Long hlScoreId;

    /**
     * 模型ID
     */
    @ApiModelProperty("模型ID")
    @Excel(name = "模型ID")
    private Long modelId;

    /**
     * 业务类型
     */
    @ApiModelProperty("业务类型")
    @Excel(name = "业务类型")
    private String objType;

    /**
     * 细项分
     */
    @ApiModelProperty("细项分")
    @Excel(name = "细项分")
    private String scoreType;

    /**
     * 健康度分值
     */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private BigDecimal hlScore;

    /**
     * 扣分
     */
    @ApiModelProperty("扣分")
    @Excel(name = "扣分")
    private BigDecimal loseScore;

    /**
     * 得分
     */
    @ApiModelProperty("得分")
    @Excel(name = "得分")
    private BigDecimal score;
    @ApiModelProperty("对象列表")
    private List<HlObj> hlObjList;
}
