package com.jjt.hl.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 健康度事件记录对象 hl_event
 *
 * @author jjt
 * @date 2024-09-16
 */
@ApiModel(value = "HlEvent", description = "健康度事件记录")
@Data
public class HlEvent extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 事件ID
     */
    @ApiModelProperty("事件ID")
    @TableId
    private Long eventId;

    /**
     * 对象ID
     */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long objId;

    /**
     * 指标ID
     */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long objMetricsId;

    /**
     * 事件开始时间
     */
    @ApiModelProperty("事件开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "事件开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 事件结束时间
     */
    @ApiModelProperty("事件结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "事件结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 事件状态
     */
    @ApiModelProperty("事件状态")
    @Excel(name = "事件状态")
    private String eventStatus;
    @ApiModelProperty("事件产生时值")
    @Excel(name = "事件产生时值")
    private BigDecimal eventValue;

}
