package com.jjt.hl.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 业务模型健康度指标得分对象 hl_metrics_score
 *
 * @author jjt
 * @date 2024-09-05
 */
@ApiModel(value = "HlMetricsScore", description = "业务模型健康度指标得分")
@Data
public class HlMetricsScore extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 指标明细ID
     */
    @ApiModelProperty("指标明细ID")
    @TableId
    private Long scoreMetricsId;

    /**
     * 健康度分类ID
     */
    @ApiModelProperty("健康度分类ID")
    @Excel(name = "健康度分类ID")
    private Long scoreClassId;

    /**
     * 指标ID
     */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;
    @ApiModelProperty("指标名称")
    private String metricsName;

    @ApiModelProperty("指标编码")
    private String metricsCode;
    /**
     * 健康度分值
     */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private BigDecimal hlScore;

    /**
     * 评分标准
     */
    @ApiModelProperty("评分标准")
    @Excel(name = "评分标准")
    private String hlStand;

    /**
     * 扣分
     */
    @ApiModelProperty("扣分")
    @Excel(name = "扣分")
    private BigDecimal loseScore;

    /**
     * 得分
     */
    @ApiModelProperty("得分")
    @Excel(name = "得分")
    private BigDecimal score;
}
