package com.jjt.hl.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务模型健康度得分指标查看对象 hl_metrics_score_view
 *
 * @author jjt
 * @date 2024-09-23
 */
@ApiModel(value = "HlMetricsScoreView", description = "业务模型健康度得分指标查看")
public class HlMetricsScoreView extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 指标明细ID */
    @ApiModelProperty("指标明细ID")
    @TableId
    private Long scoreDetailId;

    /** 得分明细ID */
    @ApiModelProperty("得分明细ID")
    @Excel(name = "得分明细ID")
    private Long scoreMetricsId;

    /** 指标ID */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long objMetricsId;

    /** 当前值 */
    @ApiModelProperty("当前值")
    @Excel(name = "当前值")
    private BigDecimal dValue;

    public void setScoreDetailId(Long scoreDetailId)
    {
        this.scoreDetailId = scoreDetailId;
    }

    public Long getScoreDetailId()
    {
        return scoreDetailId;
    }
    public void setScoreMetricsId(Long scoreMetricsId)
    {
        this.scoreMetricsId = scoreMetricsId;
    }

    public Long getScoreMetricsId()
    {
        return scoreMetricsId;
    }
    public void setObjMetricsId(Long objMetricsId)
    {
        this.objMetricsId = objMetricsId;
    }

    public Long getObjMetricsId()
    {
        return objMetricsId;
    }
    public void setdValue(BigDecimal dValue)
    {
        this.dValue = dValue;
    }

    public BigDecimal getdValue()
    {
        return dValue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("scoreDetailId", getScoreDetailId())
            .append("scoreMetricsId", getScoreMetricsId())
            .append("objMetricsId", getObjMetricsId())
            .append("dValue", getdValue())
            .toString();
    }
}
