package com.jjt.hl.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 健康度分数记录对象 hl_score
 *
 * @author jjt
 * @date 2024-09-05
 */
@ApiModel(value = "HlScore", description = "健康度分数记录")
@Data
public class HlScore extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 健康度分数记录ID;
     */
    @ApiModelProperty("健康度分数记录ID")
    @TableId
    private Long hlScoreId;

    /**
     * 模型ID
     */
    @ApiModelProperty("模型ID")
    @Excel(name = "模型ID")
    private Long modelId;

    /**
     * 健康度分值
     */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private BigDecimal hlScore;

    /**
     * 类型
     */
    @ApiModelProperty("类型")
    @Excel(name = "类型")
    private String hlType;

    /**
     * 日期
     */
    @ApiModelProperty("日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date hlDate;
}
