package com.jjt.hl.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.hl.domain.HlClass;

/**
 * 模型健康度分类Mapper接口
 * 
 * @author jjt
 * @date 2024-09-05
 */
public interface HlClassMapper extends BaseMapper<HlClass>
{
    /**
     * 查询模型健康度分类
     * 
     * @param hlClassId 模型健康度分类主键
     * @return 模型健康度分类
     */
    public HlClass selectHlClassByHlClassId(Long hlClassId);

    /**
     * 查询模型健康度分类列表
     * 
     * @param hlClass 模型健康度分类
     * @return 模型健康度分类集合
     */
    public List<HlClass> selectHlClassList(HlClass hlClass);

    /**
     * 新增模型健康度分类
     * 
     * @param hlClass 模型健康度分类
     * @return 结果
     */
    public int insertHlClass(HlClass hlClass);

    /**
     * 修改模型健康度分类
     * 
     * @param hlClass 模型健康度分类
     * @return 结果
     */
    public int updateHlClass(HlClass hlClass);

    /**
     * 删除模型健康度分类
     * 
     * @param hlClassId 模型健康度分类主键
     * @return 结果
     */
    public int deleteHlClassByHlClassId(Long hlClassId);

    /**
     * 批量删除模型健康度分类
     * 
     * @param hlClassIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHlClassByHlClassIds(Long[] hlClassIds);
}
