package com.jjt.hl.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.hl.domain.HlEvent;

/**
 * 健康度事件记录Mapper接口
 * 
 * @author jjt
 * @date 2024-09-16
 */
public interface HlEventMapper extends BaseMapper<HlEvent>
{
    /**
     * 查询健康度事件记录
     * 
     * @param eventId 健康度事件记录主键
     * @return 健康度事件记录
     */
    public HlEvent selectHlEventByEventId(Long eventId);

    /**
     * 查询健康度事件记录列表
     * 
     * @param hlEvent 健康度事件记录
     * @return 健康度事件记录集合
     */
    public List<HlEvent> selectHlEventList(HlEvent hlEvent);

    /**
     * 新增健康度事件记录
     * 
     * @param hlEvent 健康度事件记录
     * @return 结果
     */
    public int insertHlEvent(HlEvent hlEvent);

    /**
     * 修改健康度事件记录
     * 
     * @param hlEvent 健康度事件记录
     * @return 结果
     */
    public int updateHlEvent(HlEvent hlEvent);

    /**
     * 删除健康度事件记录
     * 
     * @param eventId 健康度事件记录主键
     * @return 结果
     */
    public int deleteHlEventByEventId(Long eventId);

    /**
     * 批量删除健康度事件记录
     * 
     * @param eventIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHlEventByEventIds(Long[] eventIds);
}
