package com.jjt.hl.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.hl.domain.HlObj;

/**
 * 模型健康度对象Mapper接口
 * 
 * @author jjt
 * @date 2024-09-05
 */
public interface HlObjMapper extends BaseMapper<HlObj>
{
    /**
     * 查询模型健康度对象
     * 
     * @param hlObjId 模型健康度对象主键
     * @return 模型健康度对象
     */
    public HlObj selectHlObjByHlObjId(Long hlObjId);

    /**
     * 查询模型健康度对象列表
     * 
     * @param hlObj 模型健康度对象
     * @return 模型健康度对象集合
     */
    public List<HlObj> selectHlObjList(HlObj hlObj);

    /**
     * 新增模型健康度对象
     * 
     * @param hlObj 模型健康度对象
     * @return 结果
     */
    public int insertHlObj(HlObj hlObj);

    /**
     * 修改模型健康度对象
     * 
     * @param hlObj 模型健康度对象
     * @return 结果
     */
    public int updateHlObj(HlObj hlObj);

    /**
     * 删除模型健康度对象
     * 
     * @param hlObjId 模型健康度对象主键
     * @return 结果
     */
    public int deleteHlObjByHlObjId(Long hlObjId);

    /**
     * 批量删除模型健康度对象
     * 
     * @param hlObjIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHlObjByHlObjIds(Long[] hlObjIds);
}
