package com.jjt.hl.service;

import java.util.List;
import com.jjt.hl.domain.HlClassScore;

/**
 * 模型健康度分类得分Service接口
 * 
 * @author jjt
 * @date 2024-09-05
 */
public interface IHlClassScoreService 
{
    /**
     * 查询模型健康度分类得分
     * 
     * @param scoreClassId 模型健康度分类得分主键
     * @return 模型健康度分类得分
     */
    public HlClassScore selectHlClassScoreByScoreClassId(Long scoreClassId);

    /**
     * 查询模型健康度分类得分列表
     * 
     * @param hlClassScore 模型健康度分类得分
     * @return 模型健康度分类得分集合
     */
    public List<HlClassScore> selectHlClassScoreList(HlClassScore hlClassScore);

    /**
     * 新增模型健康度分类得分
     * 
     * @param hlClassScore 模型健康度分类得分
     * @return 结果
     */
    public int insertHlClassScore(HlClassScore hlClassScore);

    /**
     * 修改模型健康度分类得分
     * 
     * @param hlClassScore 模型健康度分类得分
     * @return 结果
     */
    public int updateHlClassScore(HlClassScore hlClassScore);

    /**
     * 批量删除模型健康度分类得分
     * 
     * @param scoreClassIds 需要删除的模型健康度分类得分主键集合
     * @return 结果
     */
    public int deleteHlClassScoreByScoreClassIds(Long[] scoreClassIds);

    /**
     * 删除模型健康度分类得分信息
     * 
     * @param scoreClassId 模型健康度分类得分主键
     * @return 结果
     */
    public int deleteHlClassScoreByScoreClassId(Long scoreClassId);
}
