package com.jjt.hl.service;

import com.jjt.hl.domain.HlClass;

import java.util.List;

/**
 * 模型健康度分类Service接口
 *
 * @author jjt
 * @date 2024-09-05
 */
public interface IHlClassService {
    /**
     * 查询模型健康度分类
     *
     * @param hlClassId 模型健康度分类主键
     * @return 模型健康度分类
     */
    public HlClass selectHlClassByHlClassId(Long hlClassId);

    /**
     * 查询模型健康度分类列表
     *
     * @param hlClass 模型健康度分类
     * @return 模型健康度分类集合
     */
    public List<HlClass> selectHlClassList(HlClass hlClass);

    /**
     * 新增模型健康度分类
     *
     * @param hlClass 模型健康度分类
     * @return 结果
     */
    public int insertHlClass(HlClass hlClass);

    /**
     * 修改模型健康度分类
     *
     * @param hlClass 模型健康度分类
     * @return 结果
     */
    public int updateHlClass(HlClass hlClass);

    /**
     * 批量删除模型健康度分类
     *
     * @param hlClassIds 需要删除的模型健康度分类主键集合
     * @return 结果
     */
    public int deleteHlClassByHlClassIds(Long[] hlClassIds);

    /**
     * 删除模型健康度分类信息
     *
     * @param hlClassId 模型健康度分类主键
     * @return 结果
     */
    public int deleteHlClassByHlClassId(Long hlClassId);

    /**
     * 通过模型ID获取 分类列表
     *
     * @param modelId 模型ID
     * @return 结果
     */
    List<HlClass> selectHlClassList4modelId(Long modelId);
}
