package com.jjt.hl.service;

import java.util.List;
import com.jjt.hl.domain.HlMetricsScoreDetail;
import com.jjt.hl.vo.ScoreDetailVO;

/**
 * 业务模型健康度得分指标明细Service接口
 *
 * @author jjt
 * @date 2024-09-05
 */
public interface IHlMetricsScoreDetailService
{
    /**
     * 查询业务模型健康度得分指标明细
     *
     * @param scoreDetailId 业务模型健康度得分指标明细主键
     * @return 业务模型健康度得分指标明细
     */
    public HlMetricsScoreDetail selectHlMetricsScoreDetailByScoreDetailId(Long scoreDetailId);

    /**
     * 查询业务模型健康度得分指标明细列表
     *
     * @param hlMetricsScoreDetail 业务模型健康度得分指标明细
     * @return 业务模型健康度得分指标明细集合
     */
    public List<HlMetricsScoreDetail> selectHlMetricsScoreDetailList(HlMetricsScoreDetail hlMetricsScoreDetail);

    /**
     * 新增业务模型健康度得分指标明细
     *
     * @param hlMetricsScoreDetail 业务模型健康度得分指标明细
     * @return 结果
     */
    public int insertHlMetricsScoreDetail(HlMetricsScoreDetail hlMetricsScoreDetail);

    /**
     * 修改业务模型健康度得分指标明细
     *
     * @param hlMetricsScoreDetail 业务模型健康度得分指标明细
     * @return 结果
     */
    public int updateHlMetricsScoreDetail(HlMetricsScoreDetail hlMetricsScoreDetail);

    /**
     * 批量删除业务模型健康度得分指标明细
     *
     * @param scoreDetailIds 需要删除的业务模型健康度得分指标明细主键集合
     * @return 结果
     */
    public int deleteHlMetricsScoreDetailByScoreDetailIds(Long[] scoreDetailIds);

    /**
     * 删除业务模型健康度得分指标明细信息
     *
     * @param scoreDetailId 业务模型健康度得分指标明细主键
     * @return 结果
     */
    public int deleteHlMetricsScoreDetailByScoreDetailId(Long scoreDetailId);

    /**
     * 通过scoreId查询明细
     * @param scoreMetricsId id
     * @return 结果
     */
    List<ScoreDetailVO> detailList(Long scoreMetricsId);
}
