package com.jjt.hl.service;

import java.util.List;
import com.jjt.hl.domain.HlMetricsScore;

/**
 * 业务模型健康度指标得分Service接口
 * 
 * @author jjt
 * @date 2024-09-05
 */
public interface IHlMetricsScoreService 
{
    /**
     * 查询业务模型健康度指标得分
     * 
     * @param scoreMetricsId 业务模型健康度指标得分主键
     * @return 业务模型健康度指标得分
     */
    public HlMetricsScore selectHlMetricsScoreByScoreMetricsId(Long scoreMetricsId);

    /**
     * 查询业务模型健康度指标得分列表
     * 
     * @param hlMetricsScore 业务模型健康度指标得分
     * @return 业务模型健康度指标得分集合
     */
    public List<HlMetricsScore> selectHlMetricsScoreList(HlMetricsScore hlMetricsScore);

    /**
     * 新增业务模型健康度指标得分
     * 
     * @param hlMetricsScore 业务模型健康度指标得分
     * @return 结果
     */
    public int insertHlMetricsScore(HlMetricsScore hlMetricsScore);

    /**
     * 修改业务模型健康度指标得分
     * 
     * @param hlMetricsScore 业务模型健康度指标得分
     * @return 结果
     */
    public int updateHlMetricsScore(HlMetricsScore hlMetricsScore);

    /**
     * 批量删除业务模型健康度指标得分
     * 
     * @param scoreMetricsIds 需要删除的业务模型健康度指标得分主键集合
     * @return 结果
     */
    public int deleteHlMetricsScoreByScoreMetricsIds(Long[] scoreMetricsIds);

    /**
     * 删除业务模型健康度指标得分信息
     * 
     * @param scoreMetricsId 业务模型健康度指标得分主键
     * @return 结果
     */
    public int deleteHlMetricsScoreByScoreMetricsId(Long scoreMetricsId);
}
