package com.jjt.hl.service;

import java.util.List;
import com.jjt.hl.domain.HlMetricsScoreView;

/**
 * 业务模型健康度得分指标查看Service接口
 * 
 * @author jjt
 * @date 2024-09-23
 */
public interface IHlMetricsScoreViewService 
{
    /**
     * 查询业务模型健康度得分指标查看
     * 
     * @param scoreDetailId 业务模型健康度得分指标查看主键
     * @return 业务模型健康度得分指标查看
     */
    public HlMetricsScoreView selectHlMetricsScoreViewByScoreDetailId(Long scoreDetailId);

    /**
     * 查询业务模型健康度得分指标查看列表
     * 
     * @param hlMetricsScoreView 业务模型健康度得分指标查看
     * @return 业务模型健康度得分指标查看集合
     */
    public List<HlMetricsScoreView> selectHlMetricsScoreViewList(HlMetricsScoreView hlMetricsScoreView);

    /**
     * 新增业务模型健康度得分指标查看
     * 
     * @param hlMetricsScoreView 业务模型健康度得分指标查看
     * @return 结果
     */
    public int insertHlMetricsScoreView(HlMetricsScoreView hlMetricsScoreView);

    /**
     * 修改业务模型健康度得分指标查看
     * 
     * @param hlMetricsScoreView 业务模型健康度得分指标查看
     * @return 结果
     */
    public int updateHlMetricsScoreView(HlMetricsScoreView hlMetricsScoreView);

    /**
     * 批量删除业务模型健康度得分指标查看
     * 
     * @param scoreDetailIds 需要删除的业务模型健康度得分指标查看主键集合
     * @return 结果
     */
    public int deleteHlMetricsScoreViewByScoreDetailIds(Long[] scoreDetailIds);

    /**
     * 删除业务模型健康度得分指标查看信息
     * 
     * @param scoreDetailId 业务模型健康度得分指标查看主键
     * @return 结果
     */
    public int deleteHlMetricsScoreViewByScoreDetailId(Long scoreDetailId);
}
