package com.jjt.hl.service;

import com.jjt.hl.domain.HlObj;

import java.util.List;

/**
 * 模型健康度对象Service接口
 *
 * @author jjt
 * @date 2024-09-05
 */
public interface IHlObjService {
    /**
     * 查询模型健康度对象
     *
     * @param hlObjId 模型健康度对象主键
     * @return 模型健康度对象
     */
    public HlObj selectHlObjByHlObjId(Long hlObjId);

    /**
     * 查询模型健康度对象列表
     *
     * @param hlObj 模型健康度对象
     * @return 模型健康度对象集合
     */
    public List<HlObj> selectHlObjList(HlObj hlObj);

    /**
     * 新增模型健康度对象
     *
     * @param hlObj 模型健康度对象
     * @return 结果
     */
    public int insertHlObj(HlObj hlObj);

    /**
     * 修改模型健康度对象
     *
     * @param hlObj 模型健康度对象
     * @return 结果
     */
    public int updateHlObj(HlObj hlObj);

    /**
     * 批量删除模型健康度对象
     *
     * @param hlObjIds 需要删除的模型健康度对象主键集合
     * @return 结果
     */
    public int deleteHlObjByHlObjIds(Long[] hlObjIds);

    /**
     * 删除模型健康度对象信息
     *
     * @param hlObjId 模型健康度对象主键
     * @return 结果
     */
    public int deleteHlObjByHlObjId(Long hlObjId);

    /**
     * 添加对象
     *
     * @param hlClassId 分类ID
     * @param objIds    对象ID
     * @return 结果
     */
    int insertObj(Long hlClassId, Long[] objIds);

    /**
     * 通过hlClassId获取列表
     * @param hlClassId classid
     * @return 结果
     */
    List<HlObj> selectHlObjListByClassId(Long hlClassId);
}
