package com.jjt.hl.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.hl.mapper.HlClassScoreMapper;
import com.jjt.hl.domain.HlClassScore;
import com.jjt.hl.service.IHlClassScoreService;
import javax.annotation.Resource;

/**
 * 模型健康度分类得分Service业务层处理
 *
 * @author jjt
 * @date 2024-09-05
 */
@Service
public class HlClassScoreServiceImpl implements IHlClassScoreService {
    @Resource
    private HlClassScoreMapper hlClassScoreMapper;

    /**
     * 查询模型健康度分类得分
     *
     * @param scoreClassId 模型健康度分类得分主键
     * @return 模型健康度分类得分
     */
    @Override
    public HlClassScore selectHlClassScoreByScoreClassId(Long scoreClassId) {
        return hlClassScoreMapper.selectHlClassScoreByScoreClassId(scoreClassId);
    }

    /**
     * 查询模型健康度分类得分列表
     *
     * @param hlClassScore 模型健康度分类得分
     * @return 模型健康度分类得分
     */
    @Override
    public List<HlClassScore> selectHlClassScoreList(HlClassScore hlClassScore) {
        return hlClassScoreMapper.selectHlClassScoreList(hlClassScore);
    }

    /**
     * 新增模型健康度分类得分
     *
     * @param hlClassScore 模型健康度分类得分
     * @return 结果
     */
    @Override
    public int insertHlClassScore(HlClassScore hlClassScore) {
                hlClassScore.setCreateTime(DateUtils.getNowDate());
            return hlClassScoreMapper.insertHlClassScore(hlClassScore);
    }

    /**
     * 修改模型健康度分类得分
     *
     * @param hlClassScore 模型健康度分类得分
     * @return 结果
     */
    @Override
    public int updateHlClassScore(HlClassScore hlClassScore) {
                hlClassScore.setUpdateTime(DateUtils.getNowDate());
        return hlClassScoreMapper.updateHlClassScore(hlClassScore);
    }

    /**
     * 批量删除模型健康度分类得分
     *
     * @param scoreClassIds 需要删除的模型健康度分类得分主键
     * @return 结果
     */
    @Override
    public int deleteHlClassScoreByScoreClassIds(Long[] scoreClassIds) {
        return hlClassScoreMapper.deleteHlClassScoreByScoreClassIds(scoreClassIds);
    }

    /**
     * 删除模型健康度分类得分信息
     *
     * @param scoreClassId 模型健康度分类得分主键
     * @return 结果
     */
    @Override
    public int deleteHlClassScoreByScoreClassId(Long scoreClassId) {
        return hlClassScoreMapper.deleteHlClassScoreByScoreClassId(scoreClassId);
    }
}
