package com.jjt.hl.service.impl;

import com.jjt.hl.domain.HlMetricsScoreDetail;
import com.jjt.hl.mapper.HlMetricsScoreDetailMapper;
import com.jjt.hl.service.IHlMetricsScoreDetailService;
import com.jjt.hl.vo.ScoreDetailVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 业务模型健康度得分指标明细Service业务层处理
 *
 * @author jjt
 * @date 2024-09-05
 */
@Service
public class HlMetricsScoreDetailServiceImpl implements IHlMetricsScoreDetailService {
    @Resource
    private HlMetricsScoreDetailMapper hlMetricsScoreDetailMapper;

    /**
     * 查询业务模型健康度得分指标明细
     *
     * @param scoreDetailId 业务模型健康度得分指标明细主键
     * @return 业务模型健康度得分指标明细
     */
    @Override
    public HlMetricsScoreDetail selectHlMetricsScoreDetailByScoreDetailId(Long scoreDetailId) {
        return hlMetricsScoreDetailMapper.selectHlMetricsScoreDetailByScoreDetailId(scoreDetailId);
    }

    /**
     * 查询业务模型健康度得分指标明细列表
     *
     * @param hlMetricsScoreDetail 业务模型健康度得分指标明细
     * @return 业务模型健康度得分指标明细
     */
    @Override
    public List<HlMetricsScoreDetail> selectHlMetricsScoreDetailList(HlMetricsScoreDetail hlMetricsScoreDetail) {
        return hlMetricsScoreDetailMapper.selectHlMetricsScoreDetailList(hlMetricsScoreDetail);
    }

    /**
     * 新增业务模型健康度得分指标明细
     *
     * @param hlMetricsScoreDetail 业务模型健康度得分指标明细
     * @return 结果
     */
    @Override
    public int insertHlMetricsScoreDetail(HlMetricsScoreDetail hlMetricsScoreDetail) {
        return hlMetricsScoreDetailMapper.insertHlMetricsScoreDetail(hlMetricsScoreDetail);
    }

    /**
     * 修改业务模型健康度得分指标明细
     *
     * @param hlMetricsScoreDetail 业务模型健康度得分指标明细
     * @return 结果
     */
    @Override
    public int updateHlMetricsScoreDetail(HlMetricsScoreDetail hlMetricsScoreDetail) {
        return hlMetricsScoreDetailMapper.updateHlMetricsScoreDetail(hlMetricsScoreDetail);
    }

    /**
     * 批量删除业务模型健康度得分指标明细
     *
     * @param scoreDetailIds 需要删除的业务模型健康度得分指标明细主键
     * @return 结果
     */
    @Override
    public int deleteHlMetricsScoreDetailByScoreDetailIds(Long[] scoreDetailIds) {
        return hlMetricsScoreDetailMapper.deleteHlMetricsScoreDetailByScoreDetailIds(scoreDetailIds);
    }

    /**
     * 删除业务模型健康度得分指标明细信息
     *
     * @param scoreDetailId 业务模型健康度得分指标明细主键
     * @return 结果
     */
    @Override
    public int deleteHlMetricsScoreDetailByScoreDetailId(Long scoreDetailId) {
        return hlMetricsScoreDetailMapper.deleteHlMetricsScoreDetailByScoreDetailId(scoreDetailId);
    }

    /**
     * 通过scoreId查询明细
     *
     * @param scoreMetricsId id
     * @return 结果
     */
    @Override
    public List<ScoreDetailVO> detailList(Long scoreMetricsId) {
        return hlMetricsScoreDetailMapper.detailList(scoreMetricsId);
    }
}
