package com.jjt.hl.service.impl;

import java.util.List;
        import com.jjt.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.jjt.hl.mapper.HlMetricsScoreMapper;
import com.jjt.hl.domain.HlMetricsScore;
import com.jjt.hl.service.IHlMetricsScoreService;
import javax.annotation.Resource;

/**
 * 业务模型健康度指标得分Service业务层处理
 *
 * @author jjt
 * @date 2024-09-05
 */
@Service
public class HlMetricsScoreServiceImpl implements IHlMetricsScoreService {
    @Resource
    private HlMetricsScoreMapper hlMetricsScoreMapper;

    /**
     * 查询业务模型健康度指标得分
     *
     * @param scoreMetricsId 业务模型健康度指标得分主键
     * @return 业务模型健康度指标得分
     */
    @Override
    public HlMetricsScore selectHlMetricsScoreByScoreMetricsId(Long scoreMetricsId) {
        return hlMetricsScoreMapper.selectHlMetricsScoreByScoreMetricsId(scoreMetricsId);
    }

    /**
     * 查询业务模型健康度指标得分列表
     *
     * @param hlMetricsScore 业务模型健康度指标得分
     * @return 业务模型健康度指标得分
     */
    @Override
    public List<HlMetricsScore> selectHlMetricsScoreList(HlMetricsScore hlMetricsScore) {
        return hlMetricsScoreMapper.selectHlMetricsScoreList(hlMetricsScore);
    }

    /**
     * 新增业务模型健康度指标得分
     *
     * @param hlMetricsScore 业务模型健康度指标得分
     * @return 结果
     */
    @Override
    public int insertHlMetricsScore(HlMetricsScore hlMetricsScore) {
                hlMetricsScore.setCreateTime(DateUtils.getNowDate());
            return hlMetricsScoreMapper.insertHlMetricsScore(hlMetricsScore);
    }

    /**
     * 修改业务模型健康度指标得分
     *
     * @param hlMetricsScore 业务模型健康度指标得分
     * @return 结果
     */
    @Override
    public int updateHlMetricsScore(HlMetricsScore hlMetricsScore) {
                hlMetricsScore.setUpdateTime(DateUtils.getNowDate());
        return hlMetricsScoreMapper.updateHlMetricsScore(hlMetricsScore);
    }

    /**
     * 批量删除业务模型健康度指标得分
     *
     * @param scoreMetricsIds 需要删除的业务模型健康度指标得分主键
     * @return 结果
     */
    @Override
    public int deleteHlMetricsScoreByScoreMetricsIds(Long[] scoreMetricsIds) {
        return hlMetricsScoreMapper.deleteHlMetricsScoreByScoreMetricsIds(scoreMetricsIds);
    }

    /**
     * 删除业务模型健康度指标得分信息
     *
     * @param scoreMetricsId 业务模型健康度指标得分主键
     * @return 结果
     */
    @Override
    public int deleteHlMetricsScoreByScoreMetricsId(Long scoreMetricsId) {
        return hlMetricsScoreMapper.deleteHlMetricsScoreByScoreMetricsId(scoreMetricsId);
    }
}
