package com.jjt.hl.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.hl.mapper.HlMetricsScoreViewMapper;
import com.jjt.hl.domain.HlMetricsScoreView;
import com.jjt.hl.service.IHlMetricsScoreViewService;
import javax.annotation.Resource;

/**
 * 业务模型健康度得分指标查看Service业务层处理
 *
 * @author jjt
 * @date 2024-09-23
 */
@Service
public class HlMetricsScoreViewServiceImpl implements IHlMetricsScoreViewService {
    @Resource
    private HlMetricsScoreViewMapper hlMetricsScoreViewMapper;

    /**
     * 查询业务模型健康度得分指标查看
     *
     * @param scoreDetailId 业务模型健康度得分指标查看主键
     * @return 业务模型健康度得分指标查看
     */
    @Override
    public HlMetricsScoreView selectHlMetricsScoreViewByScoreDetailId(Long scoreDetailId) {
        return hlMetricsScoreViewMapper.selectHlMetricsScoreViewByScoreDetailId(scoreDetailId);
    }

    /**
     * 查询业务模型健康度得分指标查看列表
     *
     * @param hlMetricsScoreView 业务模型健康度得分指标查看
     * @return 业务模型健康度得分指标查看
     */
    @Override
    public List<HlMetricsScoreView> selectHlMetricsScoreViewList(HlMetricsScoreView hlMetricsScoreView) {
        return hlMetricsScoreViewMapper.selectHlMetricsScoreViewList(hlMetricsScoreView);
    }

    /**
     * 新增业务模型健康度得分指标查看
     *
     * @param hlMetricsScoreView 业务模型健康度得分指标查看
     * @return 结果
     */
    @Override
    public int insertHlMetricsScoreView(HlMetricsScoreView hlMetricsScoreView) {
            return hlMetricsScoreViewMapper.insertHlMetricsScoreView(hlMetricsScoreView);
    }

    /**
     * 修改业务模型健康度得分指标查看
     *
     * @param hlMetricsScoreView 业务模型健康度得分指标查看
     * @return 结果
     */
    @Override
    public int updateHlMetricsScoreView(HlMetricsScoreView hlMetricsScoreView) {
        return hlMetricsScoreViewMapper.updateHlMetricsScoreView(hlMetricsScoreView);
    }

    /**
     * 批量删除业务模型健康度得分指标查看
     *
     * @param scoreDetailIds 需要删除的业务模型健康度得分指标查看主键
     * @return 结果
     */
    @Override
    public int deleteHlMetricsScoreViewByScoreDetailIds(Long[] scoreDetailIds) {
        return hlMetricsScoreViewMapper.deleteHlMetricsScoreViewByScoreDetailIds(scoreDetailIds);
    }

    /**
     * 删除业务模型健康度得分指标查看信息
     *
     * @param scoreDetailId 业务模型健康度得分指标查看主键
     * @return 结果
     */
    @Override
    public int deleteHlMetricsScoreViewByScoreDetailId(Long scoreDetailId) {
        return hlMetricsScoreViewMapper.deleteHlMetricsScoreViewByScoreDetailId(scoreDetailId);
    }
}
