package com.jjt.hl.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.biz.domain.MetricsDef;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 业务对象指标对象 biz_obj_metrics
 *
 * @author jjt
 * @date 2024-08-09
 */
@ApiModel(value = "HlMetricsVO", description = "业务对象指标")
@Data
public class HlMetricsVO {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("指标对象ID")
    private Long objMetricsId;
    @ApiModelProperty("业务对象ID")
    private Long objId;
    @ApiModelProperty("对象名称")
    private String objName;
    @ApiModelProperty("对象业务类型")
    private String objType;
    @ApiModelProperty("模板ID")
    private Long tplId;
    @ApiModelProperty("指标ID")
    private Long metricsId;
    @ApiModelProperty("指标名称")
    private String metricsName;
    @ApiModelProperty("指标编码")
    private String metricsCode;
    @ApiModelProperty("事件ID")
    private Long eventId;
    @ApiModelProperty("事件开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiModelProperty("事件结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty("事件状态")
    @Excel(name = "事件状态")
    private String eventStatus;
    @ApiModelProperty("事件产生时值")
    @Excel(name = "事件产生时值")
    private BigDecimal eventValue;
    @ApiModelProperty("指标当前值")
    private BigDecimal dValue;
}
