package com.jjt.push.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 推送配置对象 push_config
 *
 * @author jjt
 * @date 2024-10-08
 */
@ApiModel(value = "PushConfig", description = "推送配置")
public class PushConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 推送配置ID */
    @ApiModelProperty("推送配置ID")
    @TableId
    private Long pcId;

    /** 开启短信 */
    @ApiModelProperty("开启短信")
    @Excel(name = "开启短信")
    private String flagSms;

    /** 开启邮件 */
    @ApiModelProperty("开启邮件")
    @Excel(name = "开启邮件")
    private String flagMail;

    /** 短信配置 */
    @ApiModelProperty("短信配置")
    @Excel(name = "短信配置")
    private String configSms;

    /** 邮件配置 */
    @ApiModelProperty("邮件配置")
    @Excel(name = "邮件配置")
    private String configMail;

    /** 低级别告警短信 */
    @ApiModelProperty("低级别告警短信")
    @Excel(name = "低级别告警短信")
    private String lowSms;

    /** 低级别告警邮件 */
    @ApiModelProperty("低级别告警邮件")
    @Excel(name = "低级别告警邮件")
    private String lowMail;

    /** 中级别告警短信 */
    @ApiModelProperty("中级别告警短信")
    @Excel(name = "中级别告警短信")
    private String midSms;

    /** 中级别告警邮件 */
    @ApiModelProperty("中级别告警邮件")
    @Excel(name = "中级别告警邮件")
    private String midMail;

    /** 高级别告警短信 */
    @ApiModelProperty("高级别告警短信")
    @Excel(name = "高级别告警短信")
    private String highSms;

    /** 高级别告警邮件 */
    @ApiModelProperty("高级别告警邮件")
    @Excel(name = "高级别告警邮件")
    private String highMail;

    public void setPcId(Long pcId)
    {
        this.pcId = pcId;
    }

    public Long getPcId()
    {
        return pcId;
    }
    public void setFlagSms(String flagSms)
    {
        this.flagSms = flagSms;
    }

    public String getFlagSms()
    {
        return flagSms;
    }
    public void setFlagMail(String flagMail)
    {
        this.flagMail = flagMail;
    }

    public String getFlagMail()
    {
        return flagMail;
    }
    public void setConfigSms(String configSms)
    {
        this.configSms = configSms;
    }

    public String getConfigSms()
    {
        return configSms;
    }
    public void setConfigMail(String configMail)
    {
        this.configMail = configMail;
    }

    public String getConfigMail()
    {
        return configMail;
    }
    public void setLowSms(String lowSms)
    {
        this.lowSms = lowSms;
    }

    public String getLowSms()
    {
        return lowSms;
    }
    public void setLowMail(String lowMail)
    {
        this.lowMail = lowMail;
    }

    public String getLowMail()
    {
        return lowMail;
    }
    public void setMidSms(String midSms)
    {
        this.midSms = midSms;
    }

    public String getMidSms()
    {
        return midSms;
    }
    public void setMidMail(String midMail)
    {
        this.midMail = midMail;
    }

    public String getMidMail()
    {
        return midMail;
    }
    public void setHighSms(String highSms)
    {
        this.highSms = highSms;
    }

    public String getHighSms()
    {
        return highSms;
    }
    public void setHighMail(String highMail)
    {
        this.highMail = highMail;
    }

    public String getHighMail()
    {
        return highMail;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pcId", getPcId())
            .append("flagSms", getFlagSms())
            .append("flagMail", getFlagMail())
            .append("configSms", getConfigSms())
            .append("configMail", getConfigMail())
            .append("lowSms", getLowSms())
            .append("lowMail", getLowMail())
            .append("midSms", getMidSms())
            .append("midMail", getMidMail())
            .append("highSms", getHighSms())
            .append("highMail", getHighMail())
            .append("remark", getRemark())
            .toString();
    }
}
