package com.jjt.push.service;

import java.util.List;
import com.jjt.push.domain.PushRecord;

/**
 * 推送记录Service接口
 * 
 * @author jjt
 * @date 2024-10-11
 */
public interface IPushRecordService 
{
    /**
     * 查询推送记录
     * 
     * @param prId 推送记录主键
     * @return 推送记录
     */
    public PushRecord selectPushRecordByPrId(Long prId);

    /**
     * 查询推送记录列表
     * 
     * @param pushRecord 推送记录
     * @return 推送记录集合
     */
    public List<PushRecord> selectPushRecordList(PushRecord pushRecord);

    /**
     * 新增推送记录
     * 
     * @param pushRecord 推送记录
     * @return 结果
     */
    public int insertPushRecord(PushRecord pushRecord);

    /**
     * 修改推送记录
     * 
     * @param pushRecord 推送记录
     * @return 结果
     */
    public int updatePushRecord(PushRecord pushRecord);

    /**
     * 批量删除推送记录
     * 
     * @param prIds 需要删除的推送记录主键集合
     * @return 结果
     */
    public int deletePushRecordByPrIds(Long[] prIds);

    /**
     * 删除推送记录信息
     * 
     * @param prId 推送记录主键
     * @return 结果
     */
    public int deletePushRecordByPrId(Long prId);
}
