package com.jjt.risk.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 风险分析结果对象 risk_analysis
 *
 * @author jjt
 * @date 2024-09-12
 */
@ApiModel(value = "RiskAnalysis", description = "风险分析结果")
@Data
public class RiskAnalysis extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 风险预测ID;
     */
    @ApiModelProperty("风险预测ID;")
    @TableId
    private Long resultId;

    /**
     * 分析ID
     */
    @ApiModelProperty("分析ID")
    @Excel(name = "分析ID")
    private Long riskId;

    @ApiModelProperty("分析类型")
    private String riskType;
    /**
     * 这里使用对象指标ID
     */
    @ApiModelProperty("对象ID")
    private Long objId;
    @ApiModelProperty("对象名称")
    private String objName;
    @ApiModelProperty("指标ID")
    private Long metricsId;
    @ApiModelProperty("指标名称;")
    @Excel(name = "指标名称;")
    private String metricsName;

    /**
     * 分析结果
     */
    @ApiModelProperty("分析结果")
    @Excel(name = "分析结果")
    private String result;
    @ApiModelProperty("输入参数")
    private String input;

    /**
     * 均值比较
     */
    @ApiModelProperty("均值比较")
    @Excel(name = "均值比较")
    private String avgValue;

    /**
     * 正态检测
     */
    @ApiModelProperty("正态检测")
    @Excel(name = "正态检测")
    private String normalValid;

    /**
     * 方差齐性检测
     */
    @ApiModelProperty("方差齐性检测")
    @Excel(name = "方差齐性检测")
    private String varianceValid;

    /**
     * 置信水平
     */
    @ApiModelProperty("置信水平")
    @Excel(name = "置信水平")
    private String confidenceLevel;

    /**
     * p值
     */
    @ApiModelProperty("p值")
    @Excel(name = "p值")
    private String pValue;

    /**
     * 分析时间
     */
    @ApiModelProperty("分析时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "分析时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date analyseTime;

    /**
     * 图片地址
     */
    @ApiModelProperty("图片地址")
    @Excel(name = "图片地址")
    private String imgPath;
}
