package com.jjt.risk.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 风险管理对象 risk_model
 *
 * @author jjt
 * @date 2024-09-12
 */
@ApiModel(value = "RiskModel", description = "风险管理")
@Data
public class RiskModel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 风险预测ID;
     */
    @ApiModelProperty("风险预测ID;")
    @TableId
    private Long riskId;

    /**
     * 指标ID
     */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    /**
     * 指标名称;
     */
    @ApiModelProperty("指标名称;")
    @Excel(name = "指标名称;")
    private String metricsName;

    /**
     * 选择对象类型
     */
    @ApiModelProperty("选择对象类型")
    @Excel(name = "选择对象类型")
    private String objType;

    /**
     * 指标方向
     */
    @ApiModelProperty("指标方向")
    @Excel(name = "指标方向")
    private String upDown;

    /**
     * 置信水平
     */
    @ApiModelProperty("置信水平")
    @Excel(name = "置信水平")
    private BigDecimal confidenceLevel;

    /**
     * 分析类型
     */
    @ApiModelProperty("分析类型")
    @Excel(name = "分析类型")
    private String riskType;

    /**
     * 是否定时分析
     */
    @ApiModelProperty("是否定时分析")
    @Excel(name = "是否定时分析")
    private String timeSwitch;

    @ApiModelProperty("对象ids")
    private List<Long> objIds;

    @ApiModelProperty("对象列表")
    private List<RiskObj> riskObjList;
}
