package com.jjt.risk.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 风险管理指标配置对象 risk_ms_config
 *
 * @author jjt
 * @date 2024-09-12
 */
@ApiModel(value = "RiskMsConfig", description = "风险管理指标配置")
public class RiskMsConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 配置ID; */
    @ApiModelProperty("配置ID;")
    @TableId
    private Long hcId;

    /** 指标ID */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    /** 指标名称; */
    @ApiModelProperty("指标名称;")
    @Excel(name = "指标名称;")
    private String metricsName;

    /** 显示名称 */
    @ApiModelProperty("显示名称")
    @Excel(name = "显示名称")
    private String viewName;

    /** 配置类型 */
    @ApiModelProperty("配置类型")
    @Excel(name = "配置类型")
    private String configType;

    /** 排序依据 */
    @ApiModelProperty("排序依据")
    @Excel(name = "排序依据")
    private String rankingBased;

    public void setHcId(Long hcId)
    {
        this.hcId = hcId;
    }

    public Long getHcId()
    {
        return hcId;
    }
    public void setMetricsId(Long metricsId)
    {
        this.metricsId = metricsId;
    }

    public Long getMetricsId()
    {
        return metricsId;
    }
    public void setMetricsName(String metricsName)
    {
        this.metricsName = metricsName;
    }

    public String getMetricsName()
    {
        return metricsName;
    }
    public void setViewName(String viewName)
    {
        this.viewName = viewName;
    }

    public String getViewName()
    {
        return viewName;
    }
    public void setConfigType(String configType)
    {
        this.configType = configType;
    }

    public String getConfigType()
    {
        return configType;
    }
    public void setRankingBased(String rankingBased)
    {
        this.rankingBased = rankingBased;
    }

    public String getRankingBased()
    {
        return rankingBased;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("hcId", getHcId())
            .append("metricsId", getMetricsId())
            .append("metricsName", getMetricsName())
            .append("viewName", getViewName())
            .append("configType", getConfigType())
            .append("rankingBased", getRankingBased())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
