package com.jjt.risk.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 风险管理对象对象 risk_obj
 *
 * @author jjt
 * @date 2024-09-12
 */
@ApiModel(value = "RiskObj", description = "风险管理对象")
@Data
public class RiskObj extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 风险对象ID
     */
    @ApiModelProperty("风险对象ID")
    @TableId
    private Long riskObjId;

    /**
     * 风险ID
     */
    @ApiModelProperty("风险ID")
    @Excel(name = "风险ID")
    private Long riskId;

    /**
     * 对象ID
     */
    @ApiModelProperty("对象ID")
    @Excel(name = "对象ID")
    private Long objId;

    @ApiModelProperty("对象名称")
    private String objName;
}
