package com.jjt.risk.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.risk.domain.RiskAnalysis;

/**
 * 风险分析结果Mapper接口
 * 
 * @author jjt
 * @date 2024-09-12
 */
public interface RiskAnalysisMapper extends BaseMapper<RiskAnalysis>
{
    /**
     * 查询风险分析结果
     * 
     * @param resultId 风险分析结果主键
     * @return 风险分析结果
     */
    public RiskAnalysis selectRiskAnalysisByResultId(Long resultId);

    /**
     * 查询风险分析结果列表
     * 
     * @param riskAnalysis 风险分析结果
     * @return 风险分析结果集合
     */
    public List<RiskAnalysis> selectRiskAnalysisList(RiskAnalysis riskAnalysis);

    /**
     * 新增风险分析结果
     * 
     * @param riskAnalysis 风险分析结果
     * @return 结果
     */
    public int insertRiskAnalysis(RiskAnalysis riskAnalysis);

    /**
     * 修改风险分析结果
     * 
     * @param riskAnalysis 风险分析结果
     * @return 结果
     */
    public int updateRiskAnalysis(RiskAnalysis riskAnalysis);

    /**
     * 删除风险分析结果
     * 
     * @param resultId 风险分析结果主键
     * @return 结果
     */
    public int deleteRiskAnalysisByResultId(Long resultId);

    /**
     * 批量删除风险分析结果
     * 
     * @param resultIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRiskAnalysisByResultIds(Long[] resultIds);
}
