package com.jjt.risk.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.risk.domain.RiskModel;

/**
 * 风险管理Mapper接口
 * 
 * @author jjt
 * @date 2024-09-12
 */
public interface RiskModelMapper extends BaseMapper<RiskModel>
{
    /**
     * 查询风险管理
     * 
     * @param riskId 风险管理主键
     * @return 风险管理
     */
    public RiskModel selectRiskModelByRiskId(Long riskId);

    /**
     * 查询风险管理列表
     * 
     * @param riskModel 风险管理
     * @return 风险管理集合
     */
    public List<RiskModel> selectRiskModelList(RiskModel riskModel);

    /**
     * 新增风险管理
     * 
     * @param riskModel 风险管理
     * @return 结果
     */
    public int insertRiskModel(RiskModel riskModel);

    /**
     * 修改风险管理
     * 
     * @param riskModel 风险管理
     * @return 结果
     */
    public int updateRiskModel(RiskModel riskModel);

    /**
     * 删除风险管理
     * 
     * @param riskId 风险管理主键
     * @return 结果
     */
    public int deleteRiskModelByRiskId(Long riskId);

    /**
     * 批量删除风险管理
     * 
     * @param riskIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRiskModelByRiskIds(Long[] riskIds);
}
