package com.jjt.risk.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.risk.domain.RiskObj;

import java.util.List;

/**
 * 风险管理对象Mapper接口
 *
 * @author jjt
 * @date 2024-09-12
 */
public interface RiskObjMapper extends BaseMapper<RiskObj> {
    /**
     * 查询风险管理对象
     *
     * @param riskObjId 风险管理对象主键
     * @return 风险管理对象
     */
    public RiskObj selectRiskObjByRiskObjId(Long riskObjId);

    /**
     * 查询风险管理对象列表
     *
     * @param riskObj 风险管理对象
     * @return 风险管理对象集合
     */
    public List<RiskObj> selectRiskObjList(RiskObj riskObj);

    /**
     * 新增风险管理对象
     *
     * @param riskObj 风险管理对象
     * @return 结果
     */
    public int insertRiskObj(RiskObj riskObj);

    /**
     * 修改风险管理对象
     *
     * @param riskObj 风险管理对象
     * @return 结果
     */
    public int updateRiskObj(RiskObj riskObj);

    /**
     * 删除风险管理对象
     *
     * @param riskObjId 风险管理对象主键
     * @return 结果
     */
    public int deleteRiskObjByRiskObjId(Long riskObjId);

    /**
     * 批量删除风险管理对象
     *
     * @param riskObjIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRiskObjByRiskObjIds(Long[] riskObjIds);

    /**
     * 根据风险ID删除数据
     *
     * @param riskId 风险ID
     */
    void deleteRiskObjByRiskId(Long riskId);
}
