package com.jjt.risk.service;

import java.util.List;
import com.jjt.risk.domain.RiskMsConfig;

/**
 * 风险管理指标配置Service接口
 * 
 * @author jjt
 * @date 2024-09-12
 */
public interface IRiskMsConfigService 
{
    /**
     * 查询风险管理指标配置
     * 
     * @param hcId 风险管理指标配置主键
     * @return 风险管理指标配置
     */
    public RiskMsConfig selectRiskMsConfigByHcId(Long hcId);

    /**
     * 查询风险管理指标配置列表
     * 
     * @param riskMsConfig 风险管理指标配置
     * @return 风险管理指标配置集合
     */
    public List<RiskMsConfig> selectRiskMsConfigList(RiskMsConfig riskMsConfig);

    /**
     * 新增风险管理指标配置
     * 
     * @param riskMsConfig 风险管理指标配置
     * @return 结果
     */
    public int insertRiskMsConfig(RiskMsConfig riskMsConfig);

    /**
     * 修改风险管理指标配置
     * 
     * @param riskMsConfig 风险管理指标配置
     * @return 结果
     */
    public int updateRiskMsConfig(RiskMsConfig riskMsConfig);

    /**
     * 批量删除风险管理指标配置
     * 
     * @param hcIds 需要删除的风险管理指标配置主键集合
     * @return 结果
     */
    public int deleteRiskMsConfigByHcIds(Long[] hcIds);

    /**
     * 删除风险管理指标配置信息
     * 
     * @param hcId 风险管理指标配置主键
     * @return 结果
     */
    public int deleteRiskMsConfigByHcId(Long hcId);
}
