package com.jjt.task;

import com.jjt.biz.domain.BizModel;
import com.jjt.biz.service.IBizModelService;
import com.jjt.check.service.ICheckRecordService;
import com.jjt.hl.service.IHlScoreService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.time.ZoneId;
import java.util.Date;

/**
 * 健康度定时任务
 *
 * @author jjt
 */
@Component("hlTask")
public class HlTask {
    @Resource
    private IHlScoreService scoreService;
    @Resource
    private IBizModelService bizModelService;
    @Resource
    private ICheckRecordService crService;

    public void check() {
        crService.check();
    }

    public void score() {
        bizModelService.selectBizModelList(new BizModel()).forEach(bm -> {
            scoreService.score(bm.getModelId());
        });
    }

    public void day() {
        LocalDate time = LocalDate.now();
        time = time.minusDays(1);
        Date date = Date.from(time.atStartOfDay(ZoneId.systemDefault()).toInstant());
        bizModelService.selectBizModelList(new BizModel()).forEach(bm -> {
            scoreService.day(date, bm.getModelId());
        });

//        LocalDate time = LocalDate.now().minusDays(8);
//        for (int j = 0; j < 7; j++) {
//            time = time.plusDays(1);
//            Date date = Date.from(time.atStartOfDay(ZoneId.systemDefault()).toInstant());
//            scoreService.day(date);
//        }
    }
}
